commit 7473a1a4893e94f97a8a9763f5239e8f3d343793
Author: Christian Persch <chpe@gnome.org>
Date:   2009-10-12

	* Makefile.am:
	* configure.in: Enable silent build rules.

M	ChangeLog
M	Makefile.am
M	configure.in

commit dafe1ce25fdaeec52185998df50e941318294386
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2009-10-28

    Remove some CPP_STDINC cruft. Closes bug 548083. Patch from Björn
    Lundqvist. Tested by me and Brian Cameron with Inteland Sun's
    compilers.

M	Makefile.msc.in
M	acinclude.m4
M	configure.in

commit 6a3a5b449f393d11486344480637577203445600
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2009-10-28

    Fix build error in configure.in. Patch from Tobias Mueller. Closes
    bug #587809.

M	configure.in

commit 4b70373e1c79ab3d08821e6c2135b8e00b6cae13
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-09-01

    [misc] Update AUTHORS

M	AUTHORS
M	ChangeLog

commit 2a26fe97a805595c8f55b67d11e3beb5b78af377
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-03-17

    post-release bump to 0.8.14

    2009-03-17	Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 0.8.14

    svn path=/trunk/; revision=604

M	ChangeLog
M	configure.in

commit fc9787e4cde7e42de67472414819d04aa0f5766a
Author: Vincent Untz <vuntz@gnome.org>
Date:	2009-03-17

    version 0.8.13

    2009-03-17	Vincent Untz  <vuntz@gnome.org>

	* NEWS: version 0.8.13

    svn path=/trunk/; revision=602

M	ChangeLog
M	NEWS

commit 986081bfa9dc8d05eab2eeeed2b777cb06224976
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:	2009-01-22

    Forgot ChangeLog

    svn path=/trunk/; revision=601

M	ChangeLog

commit 0e5fe7fbf184b3c07d270c008c218ae175a2e55a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2009-01-22

    clean up some warnings from sparse/gcc. Closes bug #568677.

    2008-09-17	Kjartan Maraas	<kmaraas@gnome.org>

	* util.c: clean up some warnings from sparse/gcc.
	Closes bug #568677.

    svn path=/trunk/; revision=600

M	Makefile.am
M	util.c

commit 672b99138aff869cb5d2b7306bd6ce9a304fdc5c
Author: Matthias Clasen <matthiasc@src.gnome.org>
Date:	2008-12-02

    Bump version

    svn path=/trunk/; revision=599

M	configure.in

commit 2aa4efd7a786d139fe1b7bba5ddead882412a338
Author: Matthias Clasen <matthiasc@src.gnome.org>
Date:	2008-12-02

    0.8.12

    svn path=/trunk/; revision=597

M	ChangeLog

commit 3f07ef5720f6847da145ae6c7691fdd3a00a06ab
Author: Matthias Clasen <matthiasc@src.gnome.org>
Date:	2008-12-02

    Fix the build with bison 2.4

    svn path=/trunk/; revision=596

M	ChangeLog
M	NEWS
M	parser.y

commit 5616ab5803b08da82cc34ff54b7c9084510beb78
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:	2008-08-19

    Post release bump

    svn path=/trunk/; revision=595

M	configure.in

commit 577c1ac0586283d8054d536e138acdd2cf43a144
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:	2008-08-19

    Version marker

    svn path=/trunk/; revision=593

M	ChangeLog

commit 5f6e7e830cb9e371bcbd1b95dcd8e94cdc830c6c
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:	2008-08-19

    Update some

    svn path=/trunk/; revision=592

M	NEWS

commit e48831ee25ea6ef22800b6e0de8bdf88f3902e0d
Author: Tor Lillqvist <tml@novell.com>
Date:	2008-06-05

    Bug 536165 - Make libIDL correctly parse cl's pre-processor output

    2008-06-02	Tor Lillqvist  <tml@novell.com>

	Bug 536165 - Make libIDL correctly parse cl's pre-processor output

	* lexer.l: Further change needed when using MSVC's cl.exe as the
	preprocessor. Patch by Marcelo Vanzin.


    svn path=/trunk/; revision=591

M	ChangeLog
M	lexer.l

commit 07515ba8a6d2b0d85dc5f7f6b843888f967961e9
Author: Tor Lillqvist <tml@novell.com>
Date:	2008-05-20

    Bug 522697 - Patch: make libIDL work with Microsoft's compilers

    2008-05-19	Tor Lillqvist  <tml@novell.com>

	Bug 522697 - Patch: make libIDL work with Microsoft's compilers

	Patch by Marcelo Vanzin, applied with modifications.

	* configure.in: Define Automake confitional OS_WIN32.

	* Makefile.am: Use --export-symbols libIDL.def on Windows.

	* Makefile.msc.in: Significant changes. Build a DLL with the same
	name as libtool does. Use pkg-config.

	* util.c: Make it work also in the !HAVE_CPP_STDIN &&
	!HAVE_SYMLINK case.

	* util.h: Make __IDL_tmp_filename const.

	* include/libIDL/IDL.h.in: Rework the dllimport logic. Use
	LIBIDL_VAR to decorate imported variables, similar to
	GLIB_VAR. Unlike Marcelo's patch, I decided not to decorate
	functions. Maybe later I can be convinced it would be a good idea,
	but for now just use the .def file to export them and let them be
	imported automatically.

	* README.win32
	* libIDL.def: Update.


    svn path=/trunk/; revision=590

M	ChangeLog
M	Makefile.am
M	Makefile.msc.in
M	README.win32
M	configure.in
M	include/libIDL/IDL.h.in
M	libIDL.def
M	util.c
M	util.h

commit 5c5fce27b33c728cf64463d9a4d231be35e86473
Author: Christian Persch <chpe@gnome.org>
Date:	2008-03-18

    Update glib version req. Bug #517088, patch by Mart Raudsepp.

    2008-03-18	Christian Persch  <chpe@gnome.org>

	* configure.in: Update glib version req. Bug #517088, patch by
	Mart Raudsepp.

    svn path=/trunk/; revision=589

M	ChangeLog
M	configure.in

commit 60267456de1fe9b9906e361bbc71c476a2f646c3
Author: Christian Persch <chpe@src.gnome.org>
Date:	2008-01-29

    Post release version bump

    svn path=/trunk/; revision=588

M	configure.in

commit 09de9fd1bb437c59f1a987bd9e632bf978ce1a34
Author: Christian Persch <chpe@gnome.org>
Date:	2008-01-29

    ======================= libIDL 0.8.10 =======================

    2008-01-29	Christian Persch  <chpe@gnome.org>

	* autogen.sh: Fix autogen with automake 1.10.
	* NEWS:

    svn path=/trunk/; revision=586

M	ChangeLog
M	NEWS
M	autogen.sh
M	configure.in

commit 8f9fd3de765a440d1d332539279e3b108b9255f2
Author: Christian Persch <chpe@gnome.org>
Date:	2008-01-29

    Use G_STRFUNC, since G_GNUC_PRETTY_FUNCTION was deprecated.

    2008-01-29	Christian Persch  <chpe@gnome.org>

	* include/libIDL/IDL.h.in: Use G_STRFUNC, since
	G_GNUC_PRETTY_FUNCTION
	was deprecated.

    svn path=/trunk/; revision=585

M	ChangeLog
M	include/libIDL/IDL.h.in

commit 4570461fb0dc7df44b9552864f8a377430fe2e90
Author: Wouter Bolsterlee <wbolster@svn.gnome.org>
Date:	2007-09-24

    reviewed by: Michael Meeks <michael@ximian.com>

    2007-09-24	Wouter Bolsterlee  <wbolster@svn.gnome.org>

	reviewed by: Michael Meeks  <michael@ximian.com>

	* lexer.l: Ignore "command-line" in addition to "command
	line" when handling output from cpp . This fixes build
	problems when using newer toolchains, e.g. ORBIT2 can be
	compiled again with cpp >= 4.2. Fixes bug #474641, patch
	by Sebastian Bober.

    svn path=/trunk/; revision=584

M	ChangeLog
M	lexer.l

commit 1e0cf39b7ef71f45c09c73069ff85c9d8d64f735
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:	2007-09-17

    Post release bump

    svn path=/trunk/; revision=582

M	configure.in

commit 2f51aec54ee57d205f15f0880663d594b470ba95
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:	2007-09-17

    Release 0.8.9

    svn path=/trunk/; revision=580

M	ChangeLog
M	NEWS

commit 7e67ed26ca9ffc5b88603e5359c23d5f5a1454f6
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:	2007-09-01

    Revert accidental commit

    svn path=/trunk/; revision=578

M	configure.in

commit f5e4dfd7e338f3d850ee4f91cc1dd267dbf3932c
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:	2007-09-01

    Fix MAINTAINERS

    svn path=/trunk/; revision=577

M	MAINTAINERS
M	configure.in

commit 77758872ffdef41e2270101857d2fe76d96aa817
Author: Mark McLoughlin <markmc@redhat.com>
Date:	2007-05-15

    Add missing braces. Fix from Dominique Quatravaux

    2007-05-15	Mark McLoughlin  <markmc@redhat.com>

	    * util.c: (yyerrorl): Add missing braces. Fix from
	     Dominique Quatravaux <dominique@quatravaux.org> in
	    bug #438424.


    svn path=/trunk/; revision=576

M	ChangeLog
M	util.c

commit 23c45d29a1495b71d62f3204ffa17a26997a9df3
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:	2007-02-26

    Post release bump

    svn path=/trunk/; revision=575

M	NEWS
M	configure.in

commit 18d8706e2597a7a0714c600f6c7f40e37e95e578
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:	2007-02-26

    Prepare for release

    svn path=/trunk/; revision=573

M	HACKING

commit 155dcb09b71cd8078a787bfca82b29f51e1878c2
Author: Brian Pepple <bdpepple@ameritech.net>
Date:	2006-11-22

    libIDL.spec.in Drop spec file. Closes bug #122032.

    2006-11-22	Brian Pepple  <bdpepple@ameritech.net>

	* Makefile.am (EXTRA_DIST):
	* libIDL.spec.in
	Drop spec file. Closes bug #122032.

M	ChangeLog
M	Makefile.am

commit 9322caa80bc81105cf63412dc023093973f42541
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:	2006-07-24

    Post release bump

M	ChangeLog
M	configure.in

commit 4f7d01f1d6f9e697b38bfda3cd4df54a06e2dce9
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:	2006-07-24

    Update NEWS

M	NEWS

commit f44d55918b1e349606838b8f8188c49ac072ff26
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2006-07-24

    Fix compiler warning. Closes bug #340407.

    2006-07-24	Kjartan Maraas	<kmaraas@gnome.org>

	* util.c: (IDL_get_IDL_emission_table): Fix compiler warning.
	Closes bug #340407.

M	ChangeLog
M	util.c

commit 43fe0ea5be8ad6891225a64f1ae9e0b1fef034d3
Author: Pascal Terjan <pterjan@src.gnome.org>
Date:	2006-07-17

    Remove dead code in IDL_parse_filename_with_input and
    IDL_parse_filename
    Bugzilla #341383, Coverity #69 and #70

M	ChangeLog
M	util.c

commit 294c604ab07776db8e24e2fa669a23cf925c9ab6
Author: Kjartan Maraas <kmaraas@src.gnome.org>
Date:	2006-05-10

    Quiet CVS

M	.cvsignore

commit f80b6136f29cb70c45375487aad1a9fad549c7e9
Author: Jules Colding <jcolding@src.gnome.org>
Date:	2006-04-05

    Fix rpmbuild issues in spec file

M	ChangeLog
M	libIDL.spec.in

commit 5857f3c91e6778872b00fe6e05fc719d1a56d954
Author: Mark McLoughlin <markmc@src.gnome.org>
Date:	2006-02-02

    remove patch author's name from ChangeLog at his request

M	ChangeLog

commit 93344559877e142eec64a3e1276a829ca741e148
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2006-02-02

    handle IDLN_WIDE_CHAR and IDLN_WIDE_STRING

    2006-02-02	Mark McLoughlin  <mark@skynet.ie>

	    * util.c: (IDL_tree_free_real), (IDL_tree_free): handle
	    IDLN_WIDE_CHAR and IDLN_WIDE_STRING

    2006-02-02	Mark McLoughlin  <mark@skynet.ie>

	    Patch from Johnny Accot <johnny@accot.org>

	    * util.c: (IDL_tree_free): handle IDLN_SRCFILE

M	ChangeLog
M	util.c

commit 25f19264706a8a74b52aad79d077efdaaf0f458c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2005-08-08

    Remove use of deprecated function g_basename(). Closes bug #133167.

    2005-08-08	Kjartan Maraas	<kmaraas@gnome.org>

	* util.c: (yyerrorl), (yywarningl): Remove use of deprecated
	function g_basename(). Closes bug #133167.

M	ChangeLog
M	util.c

commit ad05c533e461d0928bd3d46773c53a6cc91d4101
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2005-07-25

    post-release bump to 0.8.7.

    2005-07-25	Mark McLoughlin  <mark@skynet.ie>

	    * configure.in: post-release bump to 0.8.7.

M	ChangeLog
M	configure.in

commit e6327851f9a36dd237f0d93b44af10f52cf3b505
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2005-07-25

    Version 0.8.6.

    2005-07-25	Mark McLoughlin  <mark@skynet.ie>

	    * configure.in: Version 0.8.6.

M	ChangeLog
M	NEWS

commit f75376d21cd3547923d9b7ecff423143a8e6d49f
Author: Tor Lillqvist <tml@novell.com>
Date:	2005-02-23

    Use g_path_get_dirname(), g_strconcat(), g_strdup_printf(). Don't
    bother

    2005-02-23	Tor Lillqvist  <tml@novell.com>

	* util.c (IDL_parse_filename): Use g_path_get_dirname(),
	g_strconcat(), g_strdup_printf(). Don't bother checking g_malloc()
	for failure in some places, g_malloc() doesn't return if you are
	out of memory. And anyway, in other places the code didn't check.

M	ChangeLog
M	libIDL-zip.in
M	util.c

commit e8af96d331ab8cfbd66cb316956565729f4d5493
Author: Tor Lillqvist <tml@novell.com>
Date:	2005-02-22

    New file, for building libIDL zipfiles for Win32.

    2005-02-22	Tor Lillqvist  <tml@novell.com>

	* libIDL-zip.in: New file, for building libIDL zipfiles for Win32.

	* Makefile.am (EXTRA_DIST)
	* configure.in: Expand and distribute it.

	* util.c (IDL_parse_filename): Don't use 2>/dev/null on
	Win32. Instead, just do a bit of file descriptor acrobatics with
	dup() and dup2() for the duration of the popen().

M	ChangeLog
M	Makefile.am
M	configure.in
A	libIDL-zip.in
M	util.c

commit 2c9a1268af36066cbb46d3cefcc8f05cbf477161
Author: Gustavo J. A. M. Carneiro <gjc@src.gnome.org>
Date:	2005-02-05

    post-release version bump

M	ChangeLog
M	configure.in

commit 7f5b05187554c9f97d60fac2b9fc3bc384c95867
Author: Gustavo J. A. M. Carneiro <gjc@src.gnome.org>
Date:	2005-02-05

    release 0.8.5

M	ChangeLog
M	NEWS

commit ebc8a9ccc3ead9ea36ab4603cc6abfe2fa8c2029
Author: Jules Colding <colding@omesc.com>
Date:	2004-11-12

    add octet_type to const_type rule.

    2004-11-12	Jules Colding  <colding@omesc.com>

	* parser.y: add octet_type to const_type rule.

M	ChangeLog
M	parser.y

commit bd3765254a9071286c25cd8e39214b7961353d41
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	2004-11-05

    Fix a couple of warnings

    2004-11-05	Kjartan Maraas	<kmaraas@gnome.org>

	* parser.y:
	* util.c: (IDL_tree_is_recursive): Fix a couple of warnings

M	ChangeLog
M	parser.y
M	util.c

commit c41aa1ec1e80c2e0b327e843d302b20e2969c647
Author: James Henstridge <jamesh@src.gnome.org>
Date:	2004-10-08

    commit changelog message that I missed last time.

M	ChangeLog

commit 3e38a1228b2a95a6d47d42c5201bd5cbb50bfdeb
Author: James Henstridge <james@jamesh.id.au>
Date:	2004-10-07

    quote macro names in AC_DEFUN() calls.

    2004-10-07	James Henstridge  <james@jamesh.id.au>

	* acinclude.m4: quote macro names in AC_DEFUN() calls.

M	acinclude.m4

commit 64a93b642040004dee24b2a379141a15878e26ca
Author: James Henstridge <james@jamesh.id.au>
Date:	2004-10-07

    ignore install-sh, missing and mkinstalldirs.

    2004-10-07	James Henstridge  <james@jamesh.id.au>

	* .cvsignore: ignore install-sh, missing and mkinstalldirs.

	* install-sh, missing, mkinstalldirs: remove from CVS, since the
	autotools install these for us.

M	.cvsignore
M	ChangeLog
D	install-sh
D	missing
D	mkinstalldirs

commit 1b214cb902fff1e827b2fb5e614be74aadf5c217
Author: James Henstridge <james@jamesh.id.au>
Date:	2004-10-06

    Fix for bug #154641:

    2004-10-06	James Henstridge  <james@jamesh.id.au>

	Fix for bug #154641:

	* configure.in: update and simplify a bit.

	* autogen.sh: use modern automake rather than 1.4 (this has been
	tested with "make distcheck").

M	ChangeLog
M	autogen.sh
M	configure.in
M	install-sh
M	missing

commit 27c08b99c498068e9580dd031fad452fca0e728f
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2004-08-17

    post-release bump to 0.8.5.

    2004-08-17	Mark McLoughlin  <mark@skynet.ie>

	    * configure.in: post-release bump to 0.8.5.

M	ChangeLog
M	configure.in

commit b6040965216e43359ed179b7c06ae49600072d04
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2004-08-17

    Version 0.8.4.

    2004-08-17	Mark McLoughlin  <mark@skynet.ie>

	    * configure.in: Version 0.8.4.

M	ChangeLog
M	NEWS
M	configure.in

commit 679d362e772379c8c356563e1b6ef0e587d89185
Author: Thomas Vander Stichele <thomasvs@src.gnome.org>
Date:	2004-04-01

    ignores

M	.cvsignore

commit 2689bb2c170ae852a3dd1e19d12abec26c011536
Author: Tomasz Kłoczko <kloczek@src.gnome.org>
Date:	2004-02-02

    Added missing [] quotation first parameter of AC_DEFUN(). This
    is neccessary
    for aclocal from automake 1.8.x and is backward compatible fix
    with older
    auto tools.
    Fix aproved by Michael Meeks.

M	ChangeLog
M	libIDL.m4.in

commit 63b5ad7122643d00f5501c85d4b95db8e865fdc9
Author: Mark McLoughlin <markmc@src.gnome.org>
Date:	2004-01-21

    version marker

M	ChangeLog

commit 485ca561d901e57c3fddfdbc12fb4e1556ba248f
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2004-01-21

    Version 0.8.3.

    2004-01-21	Mark McLoughlin  <mark@skynet.ie>

	* configiure.in: Version 0.8.3.

    2004-01-21	Mark McLoughlin  <mark@skynet.ie>

	Patch from Laszlo Peter <laca@sun.com>

	* libIDL-2.0-uninstalled.pc.in: add -uninstalled pkg-config
	file to allow building against an uninstalled libIDL.

	* include/libIDL/IDL.h.in: move the header here.

	* IDL.h.new.in: kill this.

	* Makefile.am: don't install the header from here.

	* tstidl.c, util.h: update for new header location.

M	.cvsignore
M	ChangeLog
D	IDL.h.new.in
M	Makefile.am
M	NEWS
M	autogen.sh
M	configure.in
A	include/.cvsignore
A	include/Makefile.am
A	include/libIDL/.cvsignore
A	include/libIDL/Makefile.am
A	libIDL-2.0-uninstalled.pc.in
M	tstidl.c
M	util.h

commit 759f22c95cab9ffb3969b8cf791f48bc2b79d5f4
Author: Fernando Herrera de las Heras <fherrera@src.gnome.org>
Date:	2003-06-12

    clobber LC_ALL

	   * util.c (IDL_parse_filename): clobber LC_ALL

    This fixes ORBit and bonobo buildings under es,fr and some others
    locales.
    Just a workaround for a bug in cpp.

M	ChangeLog
M	util.c

commit 5eb5d40e470602f039357887602d11b694a9adf7
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2003-05-26

    Version 0.8.2.

    2003-05-26	Mark McLoughlin  <mark@skynet.ie>

	    * configure.in: Version 0.8.2.

M	ChangeLog
M	NEWS
M	configure.in

commit 361768195728de46e2c0ba62a5cb23e7e750525c
Author: Jody Goldberg <jody@gnome.org>
Date:	2003-05-09

    newer versions of flex do not require YY_NEW_FILE.


    2003-05-08	Jody Goldberg <jody@gnome.org>

	* lexer.l (__IDL_lex_cleanup) : newer versions of flex do
	not require
	  YY_NEW_FILE.

M	ChangeLog
M	lexer.l

commit c643efa309bdb944809496c61864e2aa1732467f
Author: Michael Meeks <michael@ximian.com>
Date:	2003-05-03

    Version 0.8.1

    2003-05-03	Michael Meeks  <michael@ximian.com>

	* Version 0.8.1

M	ChangeLog
M	NEWS
M	configure.in

commit 819e23b9a5081ebbedb8ded021124824c879089c
Author: Nick Lewycky <nicholas@metrix.on.ca>
Date:	2003-04-28

    add '_' escaped keyword identifier support.

    2003-04-28	Nick Lewycky  <nicholas@metrix.on.ca>

	* lexer.l (escaped_ident): add '_' escaped keyword
	identifier support.

	* BUGS: upd.
	* util.c: add TODO

M	BUGS
M	ChangeLog
M	lexer.l
M	util.c

commit e680e2b84d8b8879fb74b02fd0e22ad877987453
Author: Masahiro Sakai <sakai@tom.sfc.keio.ac.jp>
Date:	2003-04-12

    add -no-undefined to libIDL_2_la_LDFLAGS.



    2003-04-12	Masahiro Sakai	<sakai@tom.sfc.keio.ac.jp>

    * Makefile.am: add -no-undefined to libIDL_2_la_LDFLAGS.

    * IDL.h.new.in, tstidl.c: use G_PLATFORM_WIN32 and G_OS_WIN32
    instead of _WIN32.

    * configure.in: add AC_LIBTOOL_WIN32_DLL call and check for
    unistd.h, popen(), symlink() and access().

    * util.c, util.h: use HAVE_UNISTD_H, HAVE_POPEN, HAVE_SYMLINK and
    HAVE_ACCESS instead of _WIN32, NO_POPEN, NO_SYMLINK and NO_ACCESS.

M	ChangeLog
M	IDL.h.new.in
M	Makefile.am
M	configure.in
M	include/libIDL/IDL.h.in
M	tstidl.c
M	util.c
M	util.h

commit 3a25077e807d8a5e792912be866ef1fd05c948c6
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2002-10-17

    don't distribute built sources. Hopefully this fixes #88977,
    there's no

    2002-10-17	Mark McLoughlin  <mark@skynet.ie>

	    * Makefile.am: don't distribute built sources.
	    Hopefully this fixes #88977, there's no point
	    in distributing these anymore since we now
	    require flex.

	    * configure.in: remove warning about not having
	    flex. We error out earlier if we don't have flex.

	    * libIDL-config.in: rename to libIDL-config-2.in
	    and only distribute libIDL-config-2.

	    * libIDLConf.sh.in: kill this cruft.

M	ChangeLog
M	Makefile.am
M	configure.in
D	libIDL-config.in
D	libIDLConf.sh.in

commit 250fad777fdfe6fb6f7177059bc0208bb908e165
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2002-09-20

    use pkg-config --(libs|cflags) glib-2.0. instead of glib-config. The

    2002-09-20	Mark McLoughlin  <mark@skynet.ie>

	    * libIDL-config.in: use pkg-config --(libs|cflags) glib-2.0.
	    instead of glib-config. The script is still going to go
	    away at soe stage though :-)
	    Patch from john.sun@sun.com and Jay Yan <jay.yan@sun.com>,
	    Fixes #93496.

M	ChangeLog
M	libIDL-config-2.in
M	libIDL-config.in

commit 0b1a2e77bbfab00a036461ef15caed7fa0639757
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2002-09-09

    s/-lIDL/-lIDL-2/. This script should be removed by rights.

    2002-09-09	Mark McLoughlin  <mark@skynet.ie>

	    * libIDL-config.in: s/-lIDL/-lIDL-2/. This script
	    should be removed by rights.

M	ChangeLog
M	libIDL-config-2.in
M	libIDL-config.in

commit 2f2e5af494ac05aeb3375717fb0d97fe478271ef
Author: Thomas Vander Stichele <thomasvs@src.gnome.org>
Date:	2002-09-05

    approved by Mark and Michael

M	ChangeLog
M	configure.in

commit 72381a894d0d079a31bff1f5bfd92058184fcb77
Author: Havoc Pennington <hp@pobox.com>
Date:	2002-08-18

    hardcode aclocal-1.4/automake-1.4 so that users with both automake
    1.6 and

    2002-08-18	Havoc Pennington  <hp@pobox.com>

	* autogen.sh: hardcode aclocal-1.4/automake-1.4 so that users with
	both automake 1.6 and 1.4 installed get the right automake. Means
	compilation from CVS will now require the latest automake 1.4
	release, or manually creating symlinks called "automake-1.4" and
	"aclocal-1.4"

M	ChangeLog
M	autogen.sh

commit c7857c46bbb19b29c8f5e3dc8791172ab6ed5eb2
Author: jacob berkman <jacob@ximian.com>
Date:	2002-06-06

    use %q rather than %ll on bsd (fixes bug #80439)

    2002-06-06	jacob berkman  <jacob@ximian.com>

	* IDL.h.new.in:
	* configure.in: use %q rather than %ll on bsd (fixes bug #80439)

M	ChangeLog
M	IDL.h.new.in
M	configure.in
M	include/libIDL/IDL.h.in

commit 77b0ada802b6fe71387e1c96dacc3d321828fa4f
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2002-06-03

    Version 0.8.0.

    2002-06-03	Mark McLoughlin  <mark@skynet.ie>

	    * configure.in: Version 0.8.0.

M	ChangeLog
M	NEWS
M	configure.in

commit 7d9f55208f33d3ecca065f126d7ab75fbcf9ffec
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2002-03-28

    link against glib. (75701)

    2002-03-28	Mark McLoughlin  <mark@skynet.ie>

	    * Makefile.am: link against glib. (75701)

M	ChangeLog
M	Makefile.am

commit d41ce3e63d77f2e3874f8e580da9d6bc6dcfb437
Author: jacob berkman <jacob@ximian.com>
Date:	2002-03-01

    remove stamp-parser as this is broken

    2002-03-01	jacob berkman  <jacob@ximian.com>

	* Makefile.am (EXTRA_DIST): remove stamp-parser as this is broken

M	ChangeLog
M	Makefile.am

commit 6646a6c17368572a1f0b3a473e1b87f185df76f1
Author: jacob berkman <jacob@ximian.com>
Date:	2002-03-01

    call automake with --copy

    2002-03-01	jacob berkman  <jacob@ximian.com>

	* autogen.sh: call automake with --copy

M	ChangeLog
M	autogen.sh

commit 9b24e4811a5b47eeb5296f4d8fb09691e033ca40
Author: Mark McLoughlin <mmclouglin@src.gnome.org>
Date:	2002-02-25

    add HACKING and MAINTAINERS and add them to EXTRA_DIST

A	HACKING
A	MAINTAINERS
M	Makefile.am

commit a73dd6bc916745e9f7813dfac38591d8ff77b2ea
Author: Mark McLoughlin <mmclouglin@src.gnome.org>
Date:	2002-02-04

    blurb.

M	NEWS

commit 3fe95db7099e6953f9e0f503f5fb03d227c3fb77
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2002-02-04

    Version 0.7.4.

    2002-02-04	Mark McLoughlin  <mark@skynet.ie>

	    * configure.in: Version 0.7.4.

M	ChangeLog
M	configure.in

commit 1845215972b6ef30bedfd135de1f276f9d3cf189
Author: Shivram U <shivaram.upadhyayula@wipro.com>
Date:	2002-02-04

    reviewed by: Mark McLoughlin <mark@skynet.ie>

    2002-02-04	Shivram U <shivaram.upadhyayula@wipro.com>

	    reviewed by: Mark McLoughlin  <mark@skynet.ie>

	    * parser.y:
	    * util.c: remove deprecated glib functions.
	    s/g_string_sprintf/g_string_printf/ and
	    s/g_strcasecmp/g_ascii_strcasecmp/.

M	ChangeLog
M	parser.y
M	util.c

commit 96f90f5e8465b875909df73c1b38321f24728864
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2002-01-28

    Version 0.7.3.

    2002-01-28	Mark McLoughlin  <mark@skynet.ie>

	    * configure.in: Version 0.7.3.

M	ChangeLog
M	configure.in

commit 1cdb050b125e081b0e5234c95ebca7854e50d8c8
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2002-01-17

    add spec file to EXTRA_DIST.

    2002-01-17	Mark McLoughlin  <mark@skynet.ie>

	    * Makefile.am: add spec file to EXTRA_DIST.

M	ChangeLog
M	Makefile.am

commit 142100b2b7fd4f624d0a6ec7fb12ed59fb0700ab
Author: Fabrice <fabrice@gnu.org>
Date:	2002-01-11

    reviewed by: Mark McLoughlin <mark@skynet.ie>

    2002-01-11	Fabrice <fabrice@gnu.org>

	    reviewed by: Mark McLoughlin  <mark@skynet.ie>

	    * lexer.l: gcc 3.0 update.

M	ChangeLog
M	lexer.l

commit 3a5b83f981a9d90faf80bf75dcf9cd3bb9988276
Author: Michael Meeks <michael@src.gnome.org>
Date:	2002-01-09

    upd.

M	.cvsignore

commit 20ba576ff67c92648a53f1a780b9b8dba3c690e1
Author: Michael Meeks <michael@ximian.com>
Date:	2002-01-09

    Version 0.7.2

    2002-01-09	Michael Meeks  <michael@ximian.com>

	* Version 0.7.2

M	ChangeLog
M	NEWS
M	configure.in

commit e70ab50d35da3170a2e1ceaa788d6bc3d074f184
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2002-01-03

    lame workaround for FreeBSD bug.

    2002-01-03	Mark McLoughlin  <mark@skynet.ie>

	    * lexer.l: lame workaround for FreeBSD bug.

M	ChangeLog
M	lexer.l

commit 3eb8452f9878c4a4f5e51ec1c803377cef210001
Author: Ross Golder <rossg@durban.golder.org>
Date:	2001-10-16

    Updated filenames/paths for libIDL2.

    2001-10-16	Ross Golder  <rossg@durban.golder.org>

	* libIDL.spec.in: Updated filenames/paths for libIDL2.

M	ChangeLog
M	libIDL.spec.in

commit 4e6e1ef0399ca3d6afbba6992b127b297a925f4d
Author: Kwok-Koon Cheung <baddog@src.gnome.org>
Date:	2001-10-05

    Make libIDL-config output correctly, following Havoc's parallel
    install fix

M	ChangeLog
M	libIDL-config-2.in
M	libIDL-config.in

commit f87af093b41b2f1f544c0d53e5d65751592b7348
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2001-09-26

    add --enable-compile-warnings option.

    2001-09-26	Mark McLoughlin <mark@skynet.ie>

	    * configure.in: add --enable-compile-warnings option.

	    * Makefile.am: use WARN_CFLAGS.

M	ChangeLog
M	Makefile.am
M	configure.in

commit 9fba247c95d74d9cb35cbaf5364f2f5291f7b15c
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2001-09-25

    Version 0.7.1.

    2001-09-25	Mark McLoughlin <mark@skynet.ie>

	    * Version 0.7.1.

M	ChangeLog
M	configure.in

commit c9146a0b9fa8ddc0d91885f7060d69261c7bfe81
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2001-09-24

    cleanup libtool versioning. Add ACLOCAL_FLAGS caching. Use
    pkg-config to

    2001-09-24	Mark McLoughlin <mark@skynet.ie>

	    * configure.in: cleanup libtool versioning. Add
	    ACLOCAL_FLAGS caching. Use pkg-config to check for
	    libs.

	    * libIDL-2.0.pc.in, libIDL.spec.in, Makefile.am,
	      Makefile.msc.in, util.c: update.

	    * IDL.h.new.in (LIBIDL_VERSION): rename to
	    LIBIDL_GEN_VERSION.

M	ChangeLog
M	IDL.h.new.in
M	Makefile.am
M	Makefile.msc.in
M	configure.in
M	include/libIDL/IDL.h.in
M	libIDL-2.0.pc.in
M	libIDL.spec.in
M	util.c

commit f1dfd56a4e4fe0bf7c8103a9aadc48b46cda04c2
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2001-09-21

    implement catch-all rule to get any cpp directives not caught by new

    2001-09-21	Mark McLoughlin <mark@skynet.ie>

	    * lexer.l (cpp_other): implement catch-all rule to get
	    any cpp directives not caught by new cpp_status.

M	ChangeLog
M	lexer.l

commit dc74590b2bcf7178be788d7166b55958a88676f4
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2001-09-21

    reimplement to take into account differences with variouts compilers.

    2001-09-21	Mark McLoughlin <mark@skynet.ie>

	    * lexer.l (cpp_status): reimplement to take into account
	    differences with variouts compilers.

	    * lexer.l, parser.y: use g_ascii_ispace instead of isspace.

	    * configure.in: require glib-1.3.7 for g_ascii_ispace.

M	ChangeLog
M	configure.in
M	lexer.l
M	parser.y

commit 35f3b73cdb3a193bd0da287279eac1055500db11
Author: Mark McLoughlin <mmclouglin@src.gnome.org>
Date:	2001-09-21

    hush.

M	.cvsignore

commit fc884e04947ccc0bb4a735f1e22a2af860984c0d
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2001-09-20

    s/libIDL-config/libIDL-config-2/ and s/libIDL.info/libIDL2.info/.

    2001-09-20	Mark McLoughlin <mark@skynet.ie>

	    * .cvsignore: s/libIDL-config/libIDL-config-2/ and
	    s/libIDL.info/libIDL2.info/.

M	.cvsignore
M	ChangeLog

commit c41d39b7231039fdd5d934f7a0fa0f1327d1f3b3
Author: Havoc Pennington <hp@redhat.com>
Date:	2001-09-19

    don't install orbit-idl2.h, apparently it isn't used.

    2001-09-19	Havoc Pennington  <hp@redhat.com>

	* src/idl-compiler/Makefile.am (orbit_idl_2_SOURCES): don't
	install orbit-idl2.h, apparently it isn't used.

	* ORBit-CosNaming-2.0.pc.in (Libs): update

	* ORBit-2.0.pc.in (orbit_idl): orbit-idl-2

	* test/Makefile.am (ior_decode_2_SOURCES): rename ior-decode to
	ior-decode-2

	* src/services/name/Makefile.am (libORBitservicesincludedir): put
	ORBitservices inside /usr/include/orbit to avoid ORBit1 conflicts
	(lib_LIBRARIES): rename libname-server to libname-server-2

	* src/orb/poa/Makefile.am (IDL): s/orbit-idl/orbit-idl-2/

	* src/orb/orb-core/Makefile.am: s/orbit-idl/orbit-idl-2/

	* Makefile.shared (IDL_COMPILER): s/orbit-idl/orbit-idl-2/

	* src/idl-compiler/Makefile.am: s/orbit-idl/orbit-idl-2/

	* src/services/name/Makefile.am: s/name-client/name-client-2/
	s/orbit-name-server/orbit-name-server-2/

M	ChangeLog
M	Makefile.am
M	libIDL-2.0.pc.in
D	libIDL.texi
M	libIDL2.texi

commit bb356ead65b549200dbcf496537c06376e598baa
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2001-09-19

    Fixes Bugs #60728 and 58458

    2001-09-19	Mark McLoughlin <mark@skynet.ie>

	    Fixes Bugs #60728 and 58458

	    * lexer.l: merged patches from Raja R Harinath and
	    Takayuki Tamura.

M	ChangeLog
M	lexer.l

commit eb710dfddc5def9868661f00e3a70ffc81d74c03
Author: Mark McLoughlin <mmclouglin@src.gnome.org>
Date:	2001-09-07

    Fix typo in function header.

M	util.c

commit c753deeb120a972e58f63fbf2edd6fb30f8f54a0
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2001-09-03

    Fixes Bug #59824: the time to parse a union seemed to grow
    exponentially

    2001-09-03	Mark McLoughlin <mark@skynet.ie>

	    Fixes Bug #59824: the time to parse a union seemed to grow
			      exponentially with the number of cases.

	    * util.c, util.h (IDL_tree_is_recursive): re-implement
	    correctly. Recursion can only happen using sequences
	    in structs/unions. Replace unused hasRecur arg with
	    compatibility dummy.

M	ChangeLog
M	IDL.h.new.in
M	include/libIDL/IDL.h.in
M	util.c

commit 7da85bf00e8309c6c7ff946e3321ff2cd81531c7
Author: Havoc Pennington <hp@pobox.com>
Date:	2001-08-31

    remove libIDL.m4 from build. It collided with libIDL 1, and we are
    in a

    2001-08-02	Havoc Pennington  <hp@pobox.com>

	* Makefile.am: remove libIDL.m4 from build. It collided with
	libIDL 1, and we are in a pkg-config age. If we want to keep
	libIDL.m4 vs PKG_CHECK_MODULES(libIDL-2.0), the m4 macro
	needs renaming.

M	ChangeLog
M	Makefile.am

commit 684aacea37eb42b3538820ff494e2c7a778df1f1
Author: Mark McLoughlin <mmclouglin@src.gnome.org>
Date:	2001-08-23

    Oops, forgot libIDL Changelog.

M	ChangeLog

commit e624fbb7fa25c656802068e344a3a7c040247c60
Author: Mark McLoughlin <mark@skynet.ie>
Date:	2001-08-23

    Bunch of warnings fixes.

    2001-08-23	Mark McLoughlin <mark@skynet.ie>

	    Bunch of warnings fixes.

	    * libIDL/lexer.l, libIDL/parser.y,
	      libIDL/util.c,
	      src/idl-compiler/orbit-idl-c-headers.c:
	    cast char to int for isspace() etc.

	    * src/orb/GIOP/giop-recv-buffer.c
	    (giop_recv_list_push): kill G_BREAKPOINT.

	    * src/orb/dynamic/dynany.c
	    (DynamicAny_DynStruct_get_elements_as_dyn)
	    kill unused newdyn.

	    * src/orb/orb-core/corba-context.c
	    (ctx_get_values) changes CORBA_Identifier arg
	    to const CORBA_char *.

	    * src/orb/orb-core/iop-profiles.c
	    (IOP_components_marshal): kill unsed lenptr.

	    * test/test-dynany.c(test_struct): pass dyn_struct
	    to DynamicAny_DynStruct_* instead of dyn_any.

M	lexer.l
M	parser.y
M	util.c

commit 58f42cce2ad25bef0d313a8c7f135b536a9dfa40
Author: Michael Meeks <michael@ximian.com>
Date:	2001-08-07

    impl.

    2001-08-07	Michael Meeks  <michael@ximian.com>

	* src/orb/orb-core/orbit-trace.c
	(ORBit_trace_value): impl.

	* src/orb/orb-core/Makefile.am: add orbit-trace.c

    2001-08-06	Michael Meeks  <michael@ximian.com>

	* src/orb/orb-core/corba-typecode.c
	(typecode_equiv_internal): split this out of
	(CORBA_TypeCode_equal): here.
	(CORBA_TypeCode_eqivalent): impl.
	(typecode_equiv_internal): impl equivalent checking.

M	util.c

commit f7662b704cc4a595a6a0fdf801875fae188c4a1c
Author: Martin Baulig <baulig@suse.de>
Date:	2001-06-23

    Call the library libIDL-2.la, not libIDL.la.

    2001-06-23	Martin Baulig  <baulig@suse.de>

	* Makefile.am: Call the library libIDL-2.la, not libIDL.la.

	* libIDL-2.0.pc.in: Copied from ORBit-martin-forked/libIDL.

M	.cvsignore
M	ChangeLog
M	Makefile.am
M	configure.in
A	libIDL-2.0.pc.in

commit 4c43afe38f3f95423413ecffca5a9f7a05da03e3
Author: Mathieu Lacage <mathieu@src.gnome.org>
Date:	2000-12-12

    Add magical #include <stdio.h> because
    FILE * is used in IDL.h.new.in

M	IDL.h.new.in
M	include/libIDL/IDL.h.in

commit 668d9e9e77cf1adf0e5bbab846bacb67fe4666a1
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	2000-11-20

    2.3.90



    2.3.90

M	configure.in

commit 9a6bf5a43a52a7b467b4ef0faafa91bd472b0022
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	2000-11-10

    Use glib 2.0.



    Use glib 2.0.

M	libIDL.m4.in

commit 8fcd1a322ef152e5eebd5b42f857a3dff425e6a8
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	2000-10-04

    . Start to flesh out the pieces of the ORB a little. I think
    corba-env.c



    . Start to flesh out the pieces of the ORB a little. I think
    corba-env.c and
    corba-string.c are basically 'there' - not much of an accomplishment,
    but a start.
    . A bunch of work on header autogeneration, including grotty hacks
    in the IDL
    compiler to avoid loops when you indirectly try to include a generated
    header from
    itself. And don't tell me how ugly the orbit-idl TTypeCode check is,
    just fix it.
    . Undo previous libIDL changes, which are worked around now by
    Makefile hacks.

    TODO:
    . Figure out whether to port over the CDR_Codec stuff, use GByteArray
    plus hacks,
    create our own, or hack GSendBuffer etc. The last seems attractive
    from a
    performance standpoint.

M	parser.y

commit a74096cb0f48818536f67c595adc31c1c16e5393
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	2000-10-02

    Whee...



    Whee...

    It was auto-generating headers at one point, but libIDL has much
    brain damage so
    the IDL compiler aborts out - fixes welcome.

M	ChangeLog
M	parser.y

commit ddf28c07e4043a9da48950a8895e3c842e94af36
Author: Martin Baulig <martin@src.gnome.org>
Date:	2000-09-29

    file libIDL.pc.in was initially added on branch orbit-stable-0-5.

commit dc4afff4643347bb103fc8f8db16f00288618b9e
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	2000-09-13

    Not so much today, just a little reorganization, switch to glib-2.0,
    and



    Not so much today, just a little reorganization, switch to glib-2.0,
    and ponderance of IIOP
    routines.

M	configure.in

commit 3ca7e5dff7771bda7d3b6f0f010e22548f10cbaa
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	2000-08-28

    (is_recursive_walker): Fix segfault when past was NULL (aka data
    type has



    (is_recursive_walker): Fix segfault when past was NULL (aka data
    type has parent).

M	ChangeLog
M	util.c

commit 5a5839705acd9430e06599134ad2bdc17de41f60
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	2000-08-23

    Do the hokey pokey.



    Do the hokey pokey.

M	configure.in

commit f60d53e8606b95cfe8316c792f7f923fb8b53757
Author: Kennard White <kennard@src.gnome.org>
Date:	2000-08-02

    Improved PIDL support, including pragmas "pidl" and
    "typecodes_as_tok".
    Fixed version pragma parsing.
    Un-did previous change that made IDL_tree_walk not backward compat.

M	IDL.h.new.in
M	include/libIDL/IDL.h.in
M	lexer.l
M	parser.y
M	util.c
M	util.h

commit 5c3b896823942968acd46551facbb102a02ddb03
Author: Michael Meeks <michael@helixcode.com>
Date:	2000-07-25

    incr. ref count.

    2000-07-14	Michael Meeks  <michael@helixcode.com>

	* parser.y (positive_int_const): incr. ref count.

M	ChangeLog
M	parser.y

commit 51e87ba824b0169fdc8bed96a23055ab2f1d16d9
Author: Kennard White <kennard@src.gnome.org>
Date:	2000-07-14

    IDLN_SRCFILE support

M	IDL.h.new.in
M	include/libIDL/IDL.h.in
M	lexer.l
M	ns.c
M	parser.y
M	util.c
M	util.h

commit 31dbed9abd62373b0b8fcecc02cd317153b8829e
Author: Kennard White <kennard@src.gnome.org>
Date:	2000-07-11

    get rid of dbg msgs

M	util.c

commit 0cb9712f0b08919629ecd72f412863c2a74f8422
Author: Kennard White <kennard@src.gnome.org>
Date:	2000-07-06

    better tree walking

M	IDL.h.new.in
M	include/libIDL/IDL.h.in
M	util.c

commit d0f2b5b390d980faf410e8e45b21bdc6e06b8466
Author: Kennard White <kennard@src.gnome.org>
Date:	2000-07-05

    added helper funcs for recursive types

M	IDL.h.new.in
M	include/libIDL/IDL.h.in
M	util.c

commit 531852b20f02242bf4365694436fb5a2a890505f
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	2000-04-14

    Patch from Andreas Kloeckner.



    Patch from Andreas Kloeckner.

M	lexer.l

commit beb0c3595506cb9a9d87ee6da2fa9d48b1c15c7b
Author: Kennard White <kennard@src.gnome.org>
Date:	2000-04-06

    Proper release of resources via CORBA_ORB_destroy() and friends.
    See ORBit/docs/change2.txt.

M	parser.y

commit 3ba4ccbc8ba8162178d4ff0c3e7a4b2888c18f0f
Author: Kennard White <kennard@src.gnome.org>
Date:	2000-03-03

    Added support for IDLF_SHOW_CPP_ERRORS.

M	IDL.h.new.in
M	include/libIDL/IDL.h.in
M	util.c

commit ca220cac5d7b18cf8efeade445932caf45c3aa1f
Author: Kennard White <kennard@src.gnome.org>
Date:	2000-02-25

    Change to IDL_emit_IDL_ident_real() to support emit done on partial
    sub-trees. IDL_tree_to_IDL_string() was originally designed to convert
    an entire tree back to IDL; this change allows it to operate on
    a sub-tree. This makes a very useful helper function for programs
    that munge IDL files.

M	util.c

commit 37479332f797419da37bc32b3a6d0d64b7eb5e38
Author: Kennard White <kennard@src.gnome.org>
Date:	2000-02-24

    Changed makefile definition so that the "LIBS" variable can be passed
    in from environment during "configure" execution. This allows
    system-specific libraries to be added to the end of the link
    definition.

M	Makefile.am

commit 94f987b5200d27e0c6c7492a6e0c25eed17e3f27
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	2000-02-16

    Ignore trailing whitespace on pragmas. Better orbit-idl debugging
    output.



    Ignore trailing whitespace on pragmas.
    Better orbit-idl debugging output.

M	lexer.l

commit ad958d0a40bc109de650cab889100e411603c93f
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-10-17

    update

M	ChangeLog

commit 46b96ee325991109c537b6f5034f66625ef7d606
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1999-10-11

    Patch from Arturo Tena <arturo@directmail.org> - substitute
    @VERSION@ in



    Patch from Arturo Tena <arturo@directmail.org> - substitute
    @VERSION@ in
    libIDLConf.sh

M	Makefile.am

commit bfeada38ed23cd5a84d74fd3ebd25df22c6e963c
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1999-10-01

    Wow, a big commit. :)



    Wow, a big commit. :)

    Fixes from bug #2308, modified/done-right.

M	acinclude.m4
M	configure.in
M	util.c

commit c78699511b32c7919e5a1fb3794ca41bb0eceb17
Author: Arturo Espinosa <unammx@src.gnome.org>
Date:	1999-09-18

    Add MODULE_VERSION -miguel

M	libIDLConf.sh.in

commit 06e94a309b79c74a25d7097c53911adae31ae2bd
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1999-07-30

    Warning fixes.



    Warning fixes.

M	lexer.l

commit 8a2976c3b875a4a0458f95b5ce5dfa2594a4a604
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1999-07-29

    Massive Makefile massaging makes Makefiles multiprocess
    magnificiently.



    Massive Makefile massaging makes Makefiles multiprocess
    magnificiently.

M	Makefile.am

commit ebdd0298217547547e176e5145986602af97d7e5
Author: Manish Singh <yosh@src.gnome.org>
Date:	1999-07-17

    shut up cvs

    -Yosh

M	.cvsignore

commit 0e95f713385e8b84fba9fd9d1f26e25f15827429
Author: Martin Baulig <martin@src.gnome.org>
Date:	1999-07-10

    *** empty log message ***

M	.cvsignore

commit bd1bec56f46e0908767bc4787a973e698ffbbdd3
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-06-14

    Also include stdlib.h

M	IDL.h.new.in
M	include/libIDL/IDL.h.in

commit c69b5da1c38b16c607832d80e1d0fa34da0dde23
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1999-06-14

    Try to make sure wchar_t is defined on all systems.



    Try to make sure wchar_t is defined on all systems.

M	IDL.h.new.in
M	configure.in
M	include/libIDL/IDL.h.in

commit 840d73278d719eb0641926f9fab86f9434ffbcd7
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-06-09

    Ref idents for now...

M	ChangeLog
M	parser.y

commit 3685a74041db51beea881cbd0c5a91890d3455d4
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-06-09

    Fix NO_POPEN

M	util.c

commit 421c83b97a5288c1bcedda3c1a1eea3960175d25
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-06-09

    Integrate Macintosh port changes from Netscape.

	* lexer.l:
	* util.[ch]: Integrate Macintosh port changes from Netscape.

M	ChangeLog
M	lexer.l
M	util.c
M	util.h

commit 657f2764e0f63f754e7a92c7adb8585450cfcd45
Author: Andrew T. Veliath <andrewtv@usa.net>
Date:	1999-06-09

    Deprecate noscript support.

    1999-06-09	Andrew T. Veliath  <andrewtv@usa.net>

	* IDL.h.new.in, parser.y, util.c: Deprecate noscript support.

	* lexer.l (tokreturn): Remove deprecated ``noscript'' keyword.

	* parser.y: Don't ref idents here.

    1999-05-30	Andrew T. Veliath  <andrewtv@usa.net>

	* lexer.l: Use wildcard start condition extension, since we
	require flex.

    1999-05-05	Andrew T. Veliath  <andrewtv@usa.net>

	* lexer.l: Strip /* */ comments as well, to make life easier for
	alternative input methods.

M	ChangeLog
M	IDL.h.new.in
M	include/libIDL/IDL.h.in
M	lexer.l
M	parser.y
M	util.c

commit e301894270ca05beafe76bc060962729a1faf208
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-04-25

    Fix IDL_parse_filename when it fails and more calls are made to it.
    Thanks to Matt Loper for noticing this behavior.

	* util.c (IDL_parse_filename):
	(IDL_parse_filename_with_input): Call __IDL_parser_reset after
	parse.

	* configure.in: Print a warning if flex isn't installed (one can
	still compile the source distributed flex scanner, however).

	* lexer.l (__IDL_lex_cleanup): Call YY_NEW_FILE.  Because of this
	we now require flex, this is not in standard lex.

	* parser.y (__IDL_parser_reset): New function; call yyclearin.

M	ChangeLog
M	NEWS
M	README
M	configure.in
M	lexer.l
M	parser.y
M	util.c
M	util.h

commit 9b3ba7f5ac5573f0ace3a2842a2650af9fbe53fa
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-04-16

    Use glib-config in libIDL-config

M	libIDL-config-2.in
M	libIDL-config.in

commit 1e6005550d50e5a66930fae6543bbd5e475dbbb4
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-04-13

    Updates

M	NEWS
M	libIDL.texi
M	libIDL2.texi

commit 4ba289a27e7438e7676aa8ccd08e4b3d22bd5dcc
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-04-12

    Update

M	NEWS

commit 230244d06506e8d9e82b4152178f02907657365b
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-04-12

    New parse flag; automatically inhibits included files.

	* IDL.h.new.in (IDLF_INHIBIT_INCLUDES): New parse flag;
	automatically inhibits included files.

	* util.h (IDLFP_IN_INCLUDES): Internal flag checked when we are
	inside an include file.

	* parser.y (assign_declspec): Wrap assignment, and if we are
	inside an include file check the inhibit include flag.
	(IDL_file_set): Add detection of include files here.

M	ChangeLog
M	IDL.h.new.in
M	include/libIDL/IDL.h.in
M	parser.y
M	util.h

commit fddef4165addac7c6958bf6ed4b0d73c81eca319
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-04-11

    ChangeLog

M	ChangeLog

commit ba1991ba536430ef28e977665dd8a6ef94def696
Author: Asbjørn Pettersen <asbjoer@src.gnome.org>
Date:	1999-04-11

    can't use rt on popen

M	ChangeLog
M	util.c

commit 343660e87c90c3435fec48d1e7e00a77a5cb532e
Author: Asbjørn Pettersen <asbjoer@src.gnome.org>
Date:	1999-04-10

    open pipe in TEXT mode

M	ChangeLog
M	util.c

commit 451914743dd0018f66dea43b6c39bba3cb451a71
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-04-09

    Version 0.6.8

M	ChangeLog
M	configure.in

commit 38e5eb49c34be430c126aa7b27716db154722107
Author: Andrew T. Veliath <andrewtv@usa.net>
Date:	1999-04-02

    Move prototype here from util.h.

    1999-04-01	Andrew T. Veliath  <andrewtv@usa.net>

	* IDL.h.new.in (IDL_tree_remove_inhibits): Move prototype here
	from util.h.

	* util.c (IDL_tree_optimize): Skip inhibit removal if
	the IDLF_INHIBIT_TAG_ONLY parse flag is specified.

M	ChangeLog
M	IDL.h.new.in
M	include/libIDL/IDL.h.in
M	libIDL.def
M	util.c
M	util.h

commit d8cfca9ff1051925cb1704c64519ea577e8eb6e2
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-31

    Work better with Sun make

M	Makefile.am

commit 386b338b1ddcfb8b3d1780ea16efc12747912f60
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-30

    No longer need -static with libtool 1.2f

M	Makefile.am

commit fe7806be5fe363e03bf3b85cc3cdb775f6009106
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-30

    Update version to 0.6.6.

	* Update version to 0.6.6.

M	ChangeLog
M	configure.in

commit b33832da3d4cdf32e91d1024826bce849fc2ff3d
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-30

    last

M	ChangeLog

commit 97d629fd9128d8ef1a63106db9ae3909619d5b6c
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-30

    Don't recurse inhibited nodes.

	* util.c (load_inhibits): Don't recurse inhibited nodes.

M	util.c

commit d5fe6ed002f98955dc420dff8c9da58196a8138c
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-25

    Fix assert typo

M	util.c

commit a2a2f4dd3eebbea8d5e753139df0379ae5952502
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-25

    Add parens in expression

M	util.c

commit a6c4d05dcb7152ce8f1a91888de368c162feb673
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-24

    - Bump patchlevel up one.

    - I'm not convinced the glib pointer int thing will break on some
    platforms yet, change it back.

    - Fix a bug in tstidl where duplicate identifiers were supposed to be
    passed up but weren't.

M	configure.in
M	parser.y
M	tstidl.c
M	util.c

commit 0500f5ca32170c12a922265bc29baae59cb5cb68
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-24

    Don't use GPOINTER_TO_INT routines, instead cast to gulong.

M	parser.y
M	util.c

commit c3c4d99061cc67bd9495980be64f70423a2520d5
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-23

    fix minor typo

M	ChangeLog

commit 3cb460d45c596c446c38e703f0bec9682027cfaf
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-23

    Wanted an cr here

M	lexer.l

commit 4d8bd3d0ff32507f18b8d80209591a7c2f023d4d
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-23

    Allow more whitespace in __declspec, and generate error if we see
    a code

	* lexer.l: Allow more whitespace in __declspec, and generate error
	if we see a code fragment and the syntax isn't enabled.

M	ChangeLog
M	lexer.l
M	parser.y

commit f641b7f7e6a4ddfec573a1c8c328b05d9d5f8222
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-23

    Make it known it works with normal lex :-)

M	lexer.l

commit f3e85c2c5914951afe95b903881e883c9994c270
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-23

    Make it known it works with normal lex :-)

M	lexer.l

commit 8f29b68118ae0e6b7ea5e219755aa6bd218c9877
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-23

    Much improved error messages about illegal types in attributes,
    operations

	* parser.y: Much improved error messages about illegal types in
	attributes, operations and parameters.	Also, explicit errors
	added for missing struct, union and enum definitions with missing
	identifiers.

    Some minor reformats and doc updates.

M	IDL.h.new.in
M	NEWS
M	README
M	include/libIDL/IDL.h.in
M	libIDL.texi
M	libIDL2.texi
M	tstidl.c

commit d0576691d038e03e5f0f96886eddb4ebc377b1ad
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-23

    Much improved error messages about illegal types in attributes,
    operations

	* parser.y: Much improved error messages about illegal types in
	attributes, operations and parameters.	Also, explicit errors
	added for missing struct, union and enum definitions with missing
	identifiers.

M	ChangeLog
M	parser.y

commit 88e0c76009782b200bdfb087e7829e170c64ccfa
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-23

    Some fixes

M	util.c

commit 4683dfca9467d866173d7cff6190d09ea87e836d
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-23

    New syntax flag; properties can be used independently of XPIDL.

	* (IDLF_PROPERTIES): New syntax flag; properties can be used
	independently of XPIDL.

M	ChangeLog
M	IDL.h.new.in
M	include/libIDL/IDL.h.in
M	lexer.l
M	parser.y
M	util.c
M	util.h

commit 6b207a87a4b04441770a6c4f3097446dc23c9c21
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-23

    Use G_GNUC_PRINTF on warning and error functions.

	* IDL.h.new.in, util.h: Use G_GNUC_PRINTF on warning and error
	functions.

M	ChangeLog
M	IDL.h.new.in
M	include/libIDL/IDL.h.in
M	parser.y
M	util.h

commit 528b8af752a757bcd89a31b923ab834574d30454
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-23

    Rework IDL_tree_to_IDL logic a bit to accept more node types, even

	* util.c: Rework IDL_tree_to_IDL logic a bit to accept more node
	types, even literals.

	* IDL.h.new.in: Add a step variable to IDL_tree_func_data.  This
	is 0 in the first call, and increments for every call thereafter
	(currently only from 0 to 1).

M	ChangeLog
M	IDL.h.new.in
M	include/libIDL/IDL.h.in
M	tstidl.c
M	util.c

commit dea7b67fb674ab0c65465466e3f04c0e7d93d240
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-23

    If node is NULL, omit file and line number information gracefully.

	* util.c (IDL_tree_error):
	(IDL_tree_warning): If node is NULL, omit file and line number
	information gracefully.

M	ChangeLog
M	util.c

commit f5d5358898a501a26af3fc50416a4c9f4577f006
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-23

    Error out with better message if one tries to use a void type in an

	* parser.y: Error out with better message if one tries to use a
	void type in an attribute or parameter.

M	ChangeLog
M	parser.y

commit 297fd4ab333e8c9e1abf5e975ed11020ce563957
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-23

    If IDL_ns is NULL, output flag IDLF_OUTPUT_NO_QUALIFY_IDENTS is
    enabled

	* util.c (IDL_tree_to_IDL*): If IDL_ns is NULL, output flag
	IDLF_OUTPUT_NO_QUALIFY_IDENTS is enabled automatically.

    libIDL PRE2 0.6.4

M	ChangeLog
M	parser.y
M	util.c

commit 246bade9a9de9766d70b900710eb2d2ce1c20ef2
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-22

    Added a flags and data field to the end of the IDL_tree node type, for

	* IDL.h.new.in: Added a flags and data field to the end of the
	IDL_tree node type, for application use. The application can
	assume these will be initialized to zero. Should be backward
	compatible with apps that don't touch it.

	* util.c (IDL_emit_IDL_type_pre): For sequences output proper
	typespec.

	* IDL.h.new.in, util.c (IDL_tree_to_IDL_string): New function;
	just like IDL_tree_to_IDL but returns a GString instead of writing
	to a file.  Useful for IDL_tree_{error,warning}.

	* IDL.h.new.in: Change functions that return glib heap strings to
	return gchar instead of char.

M	ChangeLog
M	IDL.h.new.in
M	include/libIDL/IDL.h.in
M	ns.c
M	parser.y
M	util.c

commit 1e1a2dc7b36181d58091f9b5831a188d596e21d7
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-22

    Get rid of the URL

M	libIDL.spec.in

commit c61eb2565f464dae2d400efcdbb316fedc32a4d4
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-22

    Add stamp-parser to EXTRA_DIST so one isn't forced to regenerate
    parser

	* Makefile.am: Add stamp-parser to EXTRA_DIST so one isn't forced
	to regenerate parser files. Tweak stamp rule to handle a time
	change.

	* lexer.l: Strip more whitespace from cpp status. Rework start
	conditions to be compatible with standard lex (messier but
	functionally equivalent). A flex generated scanner is the
	preferred method, however.

    libIDL PRE1 0.6.4

M	ChangeLog
M	Makefile.am
M	configure.in
M	lexer.l

commit d5d5731faab884d2776001956c5ef9d7ee456844
Author: Nuno Ferreira <nmrf@rnl.ist.utl.pt>
Date:	1999-03-20

    Make parser files generation work when using AM_MAKEFLAGS=-j4.

    1999-03-12	Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* Makefile.am: Make parser files generation work when using
	AM_MAKEFLAGS=-j4.

M	ChangeLog
M	Makefile.am

commit 74afc2890d543dfb96758182e9dd93217d3b4390
Author: Raja R Harinath <harinath@src.gnome.org>
Date:	1999-03-20

    Don't remove intermediate file. This prevents unnecessary rebuilding
    of

    * acinclude.m4 (AC_UPDATE_IF_CHANGED): Don't remove intermediate
    file.  This prevents unnecessary rebuilding of IDL.h.new.

M	ChangeLog
M	acinclude.m4

commit cce2499814af8ad8c3eed81cb40f002ce25a70fc
Author: Raja R Harinath <harinath@src.gnome.org>
Date:	1999-03-20

    Add rule to autoupdate IDL.h.

    * Makefile.am (IDL.h): Add rule to autoupdate IDL.h.

M	ChangeLog
M	Makefile.am

commit 94363fd68fe67960ad3c0f9b7b7f6bfc91297db3
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-19

    Update version to 0.6.4.

	* Update version to 0.6.4.

	* lexer.l: Handle independent code fragments.

	* IDL.h.new.in (IDLF_CODEFRAGS): New flag; code frags can be used
	independently of XPIDL.

M	ChangeLog
M	IDL.h.new.in
M	configure.in
M	include/libIDL/IDL.h.in
M	lexer.l

commit 3e6a0be0abed6fc982799d001c004aa6be5527cc
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-09

    Update version to 0.6.3.

	* Update version to 0.6.3.

	* util.c (IDL_emit_IDL_type_dcl_pre):
	(IDL_emit_IDL_type_pre):
	(IDL_emit_IDL_native_pre): Emit props.

	* parser.y: Add XPIDL properties for type declarations, native and
	constructed types.

M	ChangeLog
M	configure.in
M	parser.y
M	util.c

commit 672a019d433db3f3cff40126ce0d5261f4b827f6
Author: Andrew T. Veliath <andrewtv@usa.net>
Date:	1999-03-08

    Update version to 0.6.2.

    1999-03-08	Andrew T. Veliath  <andrewtv@usa.net>

	* Update version to 0.6.2.

	* util.c (IDL_tree_process_forward_dcls): No longer remove
	unresolved forward declaration nodes.  If IDLF_PEDANTIC isn't
	specified, unresolved forwards will be flagged as warnings instead
	of errors.

	* IDL.h.new.in: Improve hack for GINT64's conversion type until
	glib gets smarter about this.

	(IDLF_PEDANTIC): New parse flag; turns some warnings into errors.

    1999-03-06	Andrew T. Veliath  <andrewtv@usa.net>

	* IDL.h.new.in: Change IDLF_RESOLVE_FORWARDS to
	IDLF_IGNORE_FORWARDS.  CORBA 2.2 requires that the interface
	definition be listed in the file, so I would rather that the
	default be stricter to the CORBA 2.2 standard.	If you don't want
	forward declaration resolution, use this flag.

M	ChangeLog
M	IDL.h.new.in
M	configure.in
M	include/libIDL/IDL.h.in
M	util.c

commit e23b91226e85539f75821746c7f0f3dcc507a93d
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-04

    Update version to 0.6.1.

	* Update version to 0.6.1.

M	ChangeLog
M	Makefile.msc.in
M	configure.in

commit 0a85f14379b6d2ad4d4898ce5ce51d82c4221f2e
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-03-04

    Understand IDLF_RESOLVE_FORWARDS. libIDL will only resolve them
    if told

	* util.c (IDL_tree_optimize): Understand
	IDLF_RESOLVE_FORWARDS. libIDL will only resolve them if told now.

	* IDL.h.new.in (IDLF_RESOLVE_FORWARDS): New flag.

M	ChangeLog
M	IDL.h.new.in
M	include/libIDL/IDL.h.in
M	util.c

commit 4a76386d73eac116d4f013c8802107306aa2c09a
Author: Kjartan Maraas <kmaraas@fib.hl.no>
Date:	1999-03-02

    shut up cvs.

    1999-03-02	Kjartan Maraas	<kmaraas@fib.hl.no>

		* shut up cvs.

M	.cvsignore

commit 48ec38dce2a55e4a781221f5db411bbed9b34efe
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-24

    Fix some stupid bugs in Win32 distribution for the standalone version.
    Will call this libIDL 0.6.0a.

M	Makefile.msc.in
M	libIDL.spec.in

commit 0e204b8a1d628b1bec17ff111aa76172f6b6189c
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-24

    Assign many node file and line locations to their identifier.

	* Assign many node file and line locations to their identifier.

    libIDL PRE11 0.6.0

M	ChangeLog
M	lexer.l
M	ns.c
M	parser.y
M	util.c
M	util.h

commit 6c04961d70daf476f670d834586a6c46acbcbf63
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-24

    Improve module identifier conflict error message.

	* parser.y: Improve module identifier conflict error message.

M	ChangeLog
M	parser.y

commit ec5a0077e9a1d8c08ae07e41ba7784a1be19facd
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-24

    minor updates.  PRE10 0.6.0

M	ChangeLog
M	configure.in
M	libIDL-config-2.in
M	libIDL-config.in

commit 660cdf21a4c326b1a4042f9eecb8687a8671f3a5
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-23

    Improved version codes.

	* IDL.h.new.in: Improved version codes.

	* parser.y: Allow inhibits on codefrags, operations and
	attributes.

    libIDL PRE9 0.6.0

M	ChangeLog
M	IDL.h.new.in
M	configure.in
M	include/libIDL/IDL.h.in
M	parser.y
M	util.c

commit 0a83617fb29c71402192398002423d6f9f67570e
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-23

    few more small items

M	parser.y
M	util.c

commit e07e2a2da0ce1faa08f0d7f535c30a556fc58174
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-23

    Fix small problem in last commit

M	util.c

commit 1ac23df07fbc19239d9c95eaa05ef5834ae61dc3
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-23

    Renamed walk structure to be more consistent, and remove some
    debugging code for libIDL PRE7 0.6.0.

M	IDL.h.new.in
M	NEWS
M	include/libIDL/IDL.h.in
M	libIDL.texi
M	libIDL2.texi
M	ns.c
M	tstidl.c
M	util.c

commit 247cf4b326404bb1eb7d398d69e231327678da07
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-23

    NEWS

M	NEWS

commit 7ccc68eca9d75110f885ef13075d5f952b9f9e9a
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-23

    Remove some unneeded code.	This is PRE6 libIDL 0.6.0

M	util.c

commit 8316c31024483d9453ccdf9e6b76785197cbeebf
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-23

    IDL_tree_func tree parameter changed to a structure, which contains up

	* IDL_tree_func tree parameter changed to a structure, which
	contains up paths of the traversal and the real up path (in the
	case of identifiers referenced elsewhere after definition).  The
	original parameter is now in the tree member. IDL_tree_to_IDL
	rewritten to automatically determine scoping using this
	information, instead of the previous scope passing. This should
	make any future additions require fewer source changes.

M	ChangeLog
M	IDL.h.new.in
M	NEWS
M	include/libIDL/IDL.h.in
M	libIDL.texi
M	libIDL2.texi
M	ns.c
M	parser.y
M	tstidl.c
M	util.c
M	util.h

commit 55b4f3d22e234df09bfc4eb83097e584f47ef451
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-22

    Improvements to structure and union handling, IDL_tree_to_IDL, and

	* Improvements to structure and union handling, IDL_tree_to_IDL,
	and IDL_tree_walk.

M	ChangeLog
M	IDL.h.new.in
M	include/libIDL/IDL.h.in
M	ns.c
M	parser.y
M	util.c
M	util.h

commit 8a025ba6a9959008613bcd05eff19356bc57f08b
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-22

    Add an explicit error message if you forget an array dimension value.
    IDL_tree_to_IDL passes most torture tests now.

M	ChangeLog
M	parser.y
M	util.c

commit 9391cd68b37dc55af2ecb54694ee06b8bdd68417
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-22

    Improvements to struct error message and IDL_tree_to_IDL.

M	parser.y
M	util.c

commit 4b52bace85db03d5d4cb4c74fe1fc65f2daa393c
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-21

    autogen.sh

M	autogen.sh
M	configure.in

commit c31c1ccd4713b316b07c9941ac9f5a6b46a20091
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-21

    Doc updates

M	NEWS
M	util.c

commit 718c1cc832024d8c8e250173f3c6f0b6ea0c3859
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-21

    Fully convert to glib memory routines.

	* Fully convert to glib memory routines.

M	ChangeLog
M	lexer.l
M	ns.c
M	parser.y
M	util.c

commit 41133db4d573ca13bb2ffe0dc8b11625db262e74
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-21

    typo

M	README

commit d7cbab7180c4db61c3379fa406e1f578ef5fef46
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-21

    Update

M	tstidl.c

commit d39c90baf533feae4dcd944f49cf82819f338483
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-21

    Update version to 0.6.0.

	* Update version to 0.6.0.

M	ChangeLog
M	IDL.h.new.in
M	NEWS
M	README
M	configure.in
M	include/libIDL/IDL.h.in
M	libIDL.m4.in
M	libIDL.spec.in
M	libIDL.texi
M	libIDL2.texi

commit aa3167c1ae0ed45a3c00ccc1545c29230b30c89d
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-19

    More updates

M	ChangeLog
M	IDL.h.new.in
M	configure.in
M	include/libIDL/IDL.h.in
M	libIDL.def
M	libIDL.spec.in
M	parser.y
M	util.c

commit 0f19b723b54f75d06ea77d6e224149f60b69c429
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-19

    Makefile.am

M	Makefile.am

commit 3fece096aad05404432e4abc51b9691a00c9a9a8
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-19

    Update headers, more configure stuff.

A	COPYING
M	IDL.h.new.in
M	Makefile.am
R091	Makefile.msc	Makefile.msc.in
M	acinclude.m4
M	configure.in
M	include/libIDL/IDL.h.in
M	lexer.l
M	libIDL.spec.in
M	ns.c
M	parser.y
M	util.c
M	util.h

commit fd2899e313f94f74c5996c6905df91ec5ed0074d
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-19

    0.5.11 updates in preparation for 0.6.0

M	Makefile.am
M	README.win32
M	acinclude.m4
M	configure.in
M	libIDL.spec.in

commit 8278a39d2aa1749fee6e2dc77a374ae3e94c5ce7
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-19

    Configuration and versioning system overhauled.

	* Configuration and versioning system overhauled.

M	ChangeLog
C099	IDL.h	IDL.h.new.in
M	acinclude.m4
M	autogen.sh
M	configure.in
R099	IDL.h	include/libIDL/IDL.h.in
M	libIDL.m4.in

commit fb08c407f916d97a163a19db5cddbff48a08c9db
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-19

    Move it back, like that

M	libIDL.spec.in

commit b273098a6ee86c42806bc814c2978d5d1557d20f
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-19

    libIDL.spec.in

M	libIDL.spec.in

commit be7c2066b61ce108fd517c272d1f64c2d25cc8bc
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-19

    Set proper version

M	Makefile.msc

commit cdfacbd7722df32e0dac1f0c8bbecec1146ad2c2
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-19

    Move z_props for attr_dcl

M	parser.y

commit bc7ef3b36a2f080c88e461222cab215423c755d6
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-19

    configuration overhaul

M	IDL.h
M	Makefile.am
M	configure.in
A	libIDL-config-2.in
A	libIDL-config.in
A	libIDL.m4.in
R093	libIDL.spec	libIDL.spec.in
A	libIDLConf.sh.in
M	util.c

commit b7e78dbe6cbabc656a10d6be55e783b886da5984
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-19

    Makefile.msc

M	Makefile.msc

commit b4dd00c503e7b2f29ea5901f8bcb6aea72ae9327
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-19

    Update version to 0.5.10.

	* Update version to 0.5.10.

	* util.c (IDL_tree_properties_copy): New function.
	(IDL_parse_filename_with_input): Mostly ignore
	HAVE_CPP_PIPE_STDIN.

	* parser.y: Make codefrags work inside interfaces (only at outer
	level). Allow properties for operations and attributes, and change
	all XPIDL node properties to reside on the ident node.

M	ChangeLog
M	IDL.h
M	Makefile.am
M	configure.in
M	lexer.l
M	libIDL.def
M	libIDL.spec
M	parser.y
M	tstidl.c
M	util.c

commit 40a7712f33a496945ab1fdb20fafc907a9e313fa
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-12

    Allow forward decls to be suppressed as well.

	* parser.y: Allow forward decls to be suppressed as well.

	* util.c (yyerrorl, yywarningl): Only call g_basename if we aren't
	piping input from CPP.

M	ChangeLog
M	parser.y
M	util.c

commit 49d868392fa15d74192f4252ed9342e3b2c8bb91
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1999-02-12

    0.3.97.



    0.3.97.

    libIDL/Makefile.am: Placate automake bug by adding aclocal.m4 here
    (normally wouldn't get distributed because the ORBit/aclocal.m4
    is used
    (?)).

M	Makefile.am

commit 5cc3d0f3e9cdee7e373b098ab7fdf379378adb14
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-11

    Version 0.5.9

M	ChangeLog
M	Makefile.am
M	Makefile.msc
M	configure.in
M	libIDL.spec

commit d7e4929276d64c5acf2011e424eb364aa7206f10
Author: Tom Tromey <tromey@src.gnome.org>
Date:	1999-02-10

    Use @pxref and not @xref in parentheses.

	* libIDL.texi: Use @pxref and not @xref in parentheses.

M	ChangeLog
M	libIDL.texi
M	libIDL2.texi

commit 9db042e2b9d09a340bc7d4fd0fde87bdfd9653b3
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-06

    Slightly better fix

M	util.c

commit c7e88c8c1d8235779a2a01c346ab39b5cbfe95ac
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1999-02-06

    Detect recursive structure members.

	* parser.y: Detect recursive structure members.

	* util.c (IDL_parse_filename_with_input): Assign filename hash
	before first call to callback.

	* parser.y: Allow const_dcl, type_dcl and except_dcl to also be
	inhibited.

	* util.c (load_inhibits): Allow any discriminator to be inhibited.

M	ChangeLog
M	parser.y
M	util.c

commit 70a86a9a79be4629721857552fec50288ee34a40
Author: Arturo Espinosa <unammx@src.gnome.org>
Date:	1999-02-05

    Add Texinfo termination command

M	libIDL.texi
M	libIDL2.texi

commit dda4ee322575b4589cccb5e518289fabb06e38c7
Author: Jeff Garzik <jgarzik@src.gnome.org>
Date:	1999-01-30

    Correct ptr-to-int casts using the GLib casting macros.  (64-bit
    warning fixes)

M	parser.y

commit 4f3c67fdc3cc84e196bc8ad76d6e6b260ce1d1fc
Author: Jeff Garzik <jgarzik@src.gnome.org>
Date:	1999-01-30

    IDL parser now strips C++ comments on its own.  It uses the C
    preprocessor, and Sun's does not handle C++ comments.

M	lexer.l

commit 3330a99edd26f489dc900091c5462a281fb9429e
Author: Jeff Garzik <jgarzik@src.gnome.org>
Date:	1999-01-02

    ./ -- Removed unnecessary snprintf check.

	./ --
	* configure.in:
	Removed unnecessary snprintf check.

	libIDL/ --
	    * util.c:
	    s/sprintf/g_snprintf/
	    s/vsprintf/g_strdup_vprintf/
	    Spaced out some code for readability.

M	ChangeLog
M	util.c

commit b551f30a4892a368bdba93e58ed6a9de30a64405
Author: Russ Nelson <nelson@src.gnome.org>
Date:	1999-01-02

    1999-01-02 Raffaele Sena <raff@aromatic.com> via Russell Nelson
    <nelson@crynwr.com>

	    * Fix to autogen.sh for build directory different from package
	    top directory.

M	ChangeLog
M	autogen.sh

commit c3977b613bae56a3b1d694561d590c6485bc55f1
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-18

    Update

M	Makefile.msc
M	libIDL.def

commit 3df0f44dba216a621a0de7917187f0f3b3ae0660
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-17

    Update version

M	libIDL.spec

commit 57dea946636f1576ed74d7e6fe9162b921b3952e
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-16

    Sync

M	libIDL.def

commit a42369e9427cd4b6653a1d0003d2ecc614199eee
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-16

    fix

M	tstidl.c

commit 8d8f4bbd853bf5cec86dc3e1c0a596d8ce05d48e
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-16

    Update version to 0.5.8

	* Update version to 0.5.8

	* util.c: Use G_GNUC_PRINTF for data output function.  Add new
	functions to handle XPIDL property output for IDL generation.

M	ChangeLog
M	IDL.h
M	tstidl.c
M	util.c

commit 7363a12e0f165965672101d12a07ab94bc220337
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-16

    fix buglet

M	util.c

commit 7d0714551a70396c1727fe958111f87b191760be
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-16

    fun changes and breakage :) IDL_tree_to_IDL now spits out
    gnome-panel.idl which can be fed back to libIDL :)

	* util.c (IDL_emit_IDL_ident): Use IDL_ns_scope_levels_from_here
	and parent from callback to automatically determine the minimal
	necessary scoping for the identifier; this should allow much more
	IDL from IDL_tree_to_IDL to be fed back unchanged.
	(IDL_tree_get_scope): New function.
	(IDL_tree_to_IDL): Updated to also take an IDL_ns parameter.

	* IDL.h, ns.c (IDL_ns_scope_levels_from_here): New function,
	determines the minimal level of scoping to prepend to a identifier
	to qualify it properly, from a different scope.

	* IDL_tree_func changed to include parent, which can differ from
	the node parent link.

M	ChangeLog
M	IDL.h
M	libIDL.texi
M	libIDL2.texi
M	ns.c
M	tstidl.c
M	util.c

commit df98944569c93a77ec39436a8ea49da958c79284
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-16

    *** empty log message ***

M	util.c

commit 8b5c30f39929dd03b99f467091bd4de32c438b6b
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-16

    more fun updates

M	lexer.l
M	parser.y
M	util.c

commit 3eef8e2492592c36d8635f97159d131542bfd03c
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-16

    More work on IDL_tree_to_IDL

M	ChangeLog
M	IDL.h
M	tstidl.c
M	util.c

commit 605a3bb48d055fcd5faea353076239a20743363e
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-16

    New public function. Not yet fully implemented yet, but most
    stuff will

	* (IDL_tree_to_IDL): New public function.  Not yet fully
	implemented yet, but most stuff will work. Add a call from
	tstidl.c.
	(IDL_tree_walk): New public function; more generalized version of
	IDL_tree_walk_in_order.

M	ChangeLog
M	IDL.h
M	Makefile.am
M	configure.in
M	parser.y
M	tstidl.c
M	util.c

commit 8831da17a84f65fadcc854c5b2614dc5e6191774
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-08

    Update version

M	libIDL.spec

commit fcb43a17baf45fb79fe2fda0f5ff90f6a9cfaca3
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-05

    Add example of IDL_tree_error usage.

	* tstidl.c: Add example of IDL_tree_error usage.

	* IDL.h, ns.c, util.c: Move __IDL_filename_hash to IDL_ns
	structure.  Rename IDL_property... to IDL_tree_property... Make
	IDL_tree_get_node_info public.

	* Change private yyerrornv, yywarningnv to public IDL_tree_error
	and IDL_tree_warning.

M	ChangeLog
M	IDL.h
M	ns.c
M	parser.y
M	rename.h
M	tstidl.c
M	util.c
M	util.h

commit 9144d20256ad5c45b072e66b97cbe34c59d02ce7
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-05

    NULL check

M	util.c

commit 32ab3c2cef2531c4618d706def68fbc119dfd710
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-05

    Provide example of local parameter declaration namespace lookup from

	* tstidl.c, ns.c: Provide example of local parameter declaration
	namespace lookup from parameter attribute property, and modify NS
	assertions to make it more useful outside of parsing.

M	ChangeLog
M	ns.c
M	tstidl.c

commit 161197c492bdc81019d16c6cd76c7d7eeb80654e
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-05

    Turn interface properties into extended node properties for XPIDL
    (for any

	* IDL.h, parser.y, lexer.l, util.c, tstidl.c: Turn interface
	properties into extended node properties for XPIDL (for any node).
	IDL_interface_get_property -=> IDL_property_get. Add
	IDL_property_set, IDL_property_remove.	Add a potential property
	list between the parameter attribute and the type.  Allow
	underscores in property keys.

M	ChangeLog
M	IDL.h
M	lexer.l
M	parser.y
M	tstidl.c
M	util.c

commit a4b45b165116a5212d62b262a77be527153e769a
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-05

    Add macro.

	* IDL.h (IDL_NODE_IS_TYPE): Add macro.

	* IDL.h, util.c: Remove (now unneeded) VARARGS node type.

M	ChangeLog
M	IDL.h
M	util.c

commit 6c1819922ed824ca2184639bcb3caa088f1adb16
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-04

    Fix

M	lexer.l

commit f5e8d9fad1d6e7ba8f9c571da4bfba47448403aa
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-04

    Add IDL_CODEFRAG type, for XPIDL.

	* lexer.l, IDL.h, util.c: Add IDL_CODEFRAG type, for XPIDL.

	* parser.y: Integrate XPIDL varargs support into parameter_dcls.

M	ChangeLog
M	IDL.h
M	lexer.l
M	parser.y
M	tstidl.c
M	util.c

commit 08e1499989a35799ec113eab506a434c461bf989
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-04

    As per section 3.2.4, I do not believe that the Object keywords is
    case-insensitive.  Do the same with the `TypeCode' extension.

M	lexer.l
M	parser.y

commit 00be1a43a0c850253b7fa1e24e85c71ab09223cf
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-04

    Some g_returns

M	parser.y

commit cfe9593ae1704677d7aa620cec9802f46cd8548f
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-03

    Fix

M	lexer.l
M	parser.y

commit 53e208d494666328d4cf7384e1b8eefe926382fe
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-03

    Fix typo

M	ChangeLog

commit fadda51b712a52d453beaeec37703151074a4cd8
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-03

    Add IDL_inhibit_push, IDL_inhibit_pop, IDL_inhibit_get_level,
    IDL_file_set

	* parser.y: Add IDL_inhibit_push, IDL_inhibit_pop,
	IDL_inhibit_get_level, IDL_file_set and IDL_file_get wrapper
	functions.

M	ChangeLog
M	IDL.h
M	Makefile.am
M	configure.in
M	lexer.l
M	parser.y

commit 27e161ac61aaf1ce0aa845959f33cb757bc7b720
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-01

    Update

M	libIDL.def

commit 09e382315c3c7b64a9da17309aed1512e0ebeeb6
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-01

    Add recognition of "noscript" keyword when XPIDL syntax is
    enabled. Add

	* parser.y, lexer.l, util.c, IDL.h: Add recognition of
    "noscript" keyword when XPIDL syntax is enabled. Add syntactical
    recognition for "native mytype (PRThread *)" in XPIDL mode (i.e.,
    where `PRThread *' can be anything).

M	ChangeLog
M	IDL.h
M	lexer.l
M	parser.y
M	tstidl.c
M	util.c
M	util.h

commit c0f5a085682144570dcc2b2fcf373eaf252b5624
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-01

    Allow boolean XPIDL properties, which are inserted with an empty
    string.

	* parser.y: Allow boolean XPIDL properties, which are inserted
	with an empty string.

M	ChangeLog
M	Makefile.am
M	parser.y
M	tstidl.c

commit df91752c04fc9ec29ce12144ff6db0296969bbe4
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-01

    Interface infotag list turned into a case-insensitive property
    hash table

	* Interface infotag list turned into a case-insensitive property
	hash table with improved parsing.  If an IID is provided in the
	property list, IDL_interface_get_property (interface, "IID")
	should provide the IID, for instance (without the parens).
	Properties can be any identifier (value) item, separated by commas
	inside square brackets.

M	ChangeLog
M	IDL.h
M	lexer.l
M	parser.y
M	tstidl.c
M	util.c
M	util.h

commit 92caeefbe9f25d5bfb18b88645002f93ae00be9c
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-12-01

    Add per-filename state information.

	* Add per-filename state information.

	* #pragma inhibit push/pop added.  The push operation will
	increment a counter, while the pop operation decrements it.  If
	the counter is greater than zero, any module or interface declared
	during that time will be inhibited.

M	ChangeLog
M	lexer.l
M	parser.y
M	util.c
M	util.h

commit df6066b2abb3736cc25d9ec7b578e068d0dc9870
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-11-30

    #pragma inhibit on/off added.

	* #pragma inhibit on/off added.

	* Made XPIDL interface properties a list, and moved before the
	interface keyword.

	* Internal flag state added.

M	ChangeLog
M	Makefile.am
M	configure.in
M	lexer.l
M	libIDL.spec
M	parser.y
M	util.c
M	util.h

commit 6f166c475270d91627dff2f9052eb60dbab89fd0
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-11-29

    fix fix

M	Makefile.msc

commit 523bab13fca6227a24fef1dd2a861f73157c3ee3
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-11-29

    Use full version in win32 libname

M	Makefile.msc

commit 57546519dc0b71e5838a9a69f6437af5e7bead76
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-11-29

    Listen to IDLF_VERBOSE.

	* util.c (IDL_tree_process_forward_dcls):
	(IDL_tree_remove_inhibits):
	(IDL_tree_remove_empty_modules): Listen to IDLF_VERBOSE.

	* IDL.h: Add note to IDL_tree_type explaining how the enumerator
	ordering is subject to change, and order should not be hardcoded
	into programs (alternative is suggested).  Separate parse flags
	into general and syntax extension parse flags, with the latter
	starting at bit sixteen.  IDLF_VERBOSE: new parse flag.

	Reindent ns.c, more updates to tstidl.c.

M	ChangeLog
M	IDL.h
M	Makefile.am
M	ns.c
M	tstidl.c
M	util.c

commit 79b68f198c82d023f5c59df0bcbfaa7673ae529c
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-11-29

    Minor updates

M	tstidl.c

commit ed1e665aa88cabdf5a0d0925e25b1133011d2612
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-11-29

    Infotag after interface ident.  Make this PRE4 0.5.5.

M	ChangeLog
M	parser.y

commit 30efd3287f84ef2c2f4366fcfad31327e06df20e
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-11-28

    Change iid_ident to infotag_ident (TOK_IID_IDENT -> TOK_INFOTAG),
    which is

	* lexer.l, parser.y, util.c, IDL.h: Change iid_ident to
	infotag_ident (TOK_IID_IDENT -> TOK_INFOTAG), which is more unique
	in scanning, and slightly more general.  Change infotag syntax to
	precede the interface, after the declaration spec (if any).

    This is libIDL PRE3 0.5.5 (not 0.5.5 yet).	The difference between
    PRE2 and PRE3 are a slightly different XPIDL info tag format, which I
    have yet to find out which one will be the standard.

M	ChangeLog
M	IDL.h
M	Makefile.am
M	configure.in
M	lexer.l
M	libIDL.spec
M	parser.y
M	tstidl.c
M	util.c

commit 8205fe5a6f63f57a6fb58b5f1d362b99df0c7f99
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-11-28

    Portability changes.

M	IDL.h
M	tstidl.c
M	util.c
M	util.h

commit d3b3531a124e9e78893af2559e0c45bed0d5c7fb
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-11-28

    Add spec file, info dir to texi file.

M	Makefile.am
A	libIDL.spec
M	libIDL.texi
M	libIDL2.texi

commit 6b05bee146c6c17b0f97c10e4d7bc2affd4c7d3f
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-11-28

    Only include unistd.h when necessary.

M	ns.c
M	parser.y
M	util.c

commit affa355d53b235d4089aae08eec23879390c3338
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-11-28

    Update for interface iid, and varargs. (IDL_tree_walk_in_order): Same.

	* util.c (IDL_tree_free): Update for interface iid, and varargs.
	(IDL_tree_walk_in_order): Same.
	(IDL_type_varargs_new): New function.

	* Makefile.am: Add G_LOG_DOMAIN for libIDL.

	* lexer.l: Add XPIDL conditional token scan for TOK_VARARGS
	(...).	Add token scan for iid_ident, which is an extended version
	of a standard IDL identifier, for XPIDL IIDs.

	* parser.y: Add XPIDL IID interface tagging
	support. (interface_iid) New production, update (interface) to
	handle it. Generate error if XPIDL syntax is not enabled and an
	IID is provided. New token, TOK_IID_IDENT, iid_ident rule.

	* lexer.l: Only recognize TypeCode when IDLF_TYPECODES syntax
	flag is present.

	* IDL.h (IDLF_TYPECODES): New flag; IDLF_TYPECODES.  New type
	IDLN_TYPE_VARARGS, eventually for use with XPIDL.

M	ChangeLog
M	IDL.h
M	Makefile.am
M	Makefile.msc
M	lexer.l
M	parser.y
M	util.c

commit 556177d712a463f44b76f930a81e061a1c739edc
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-11-28

    Update EXTRA_DIST.

M	Makefile.am

commit b65c300fd90168d6eb51b0128a2b75f16fd8ca60
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-11-28

    Library def file for Win32.

M	ChangeLog
A	libIDL.def

commit 1a32ad726fa53b13f646a8b4e0850270b62633d7
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-11-28

    Define if compiling for Win32.

	* util.h (alloca): Define if compiling for Win32.

	* Makefile.am (MAINTAINERCLEANFILES): Change to maintainer clean
	from dist clean for parser.c, lexer.c.	It's nice to have the
	generated parsers around from flex and bison, especially for
	Win32.

	* util.c (IDL_parse_filename): Don't use access under Win32.
	IDL_EXPORT __IDL_check_type_casts.

	* IDL.h (IDL_IMPORT): Add definitions required for Win32.

	* Makefile.msc:
	README.win32: New files.

	* Makefile.am: Define YYERROR_VERBOSE for slightly better messages
	in unhandled error situations.

M	ChangeLog
M	IDL.h
M	Makefile.am
A	Makefile.msc
A	README.win32
M	tstidl.c
M	util.c
M	util.h

commit 6fd992354b9c29dcb67072595cc64301780ff398
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1998-11-27

    Revert jaycox patch.



    Revert jaycox patch.

M	util.c

commit a32d7b74dfe5c5d3c25d39c4881bfb16585eeb3a
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-11-27

    Define YYERROR_VERBOSE and link tstidl statically.

M	Makefile.am

commit 8af9dddf7dff8c244e073598d09eb25bb79cdfd1
Author: jaycox <jaycox@src.gnome.org>
Date:	1998-11-26

    ----------------------------------------------------------------------


    ----------------------------------------------------------------------
    libIDL/util.c src/IIOP/IIOP-types.h src/IIOP/giop-msg-buffer.c CVS:
    src/IIOP/giop-msg-buffer.h src/IIOP/iiop-endian.c CVS:
    src/idl-compiler/orbit-c-common.c CVS:
    src/idl-compiler/orbit-c-demarshal.c CVS:
    src/idl-compiler/orbit-c-header.c CVS:
    src/idl-compiler/orbit-c-skeletons.c CVS:
    src/idl-compiler/orbit-c-skelimpl.c CVS:
    src/idl-compiler/orbit-c-stubs.c src/orb/allocators.c CVS:
    src/orb/corba_any.c src/orb/corba_portableserver_type.h CVS:
    src/orb/dii.c src/orb/orb.c src/orb/orbit.c CVS:
    src/orb/orbit_object.c src/orb/orbit_object.h CVS: src/orb/orbit_poa.c
    src/orb/orbit_typecode.c CVS: src/orb/orbit_types.h
    src/orb/sequences.c CVS: src/services/event/CosEventChannel.idl CVS:
    src/services/event/CosEventComm.idl CVS:
    src/services/event/CosTypedEventChannel.idl CVS:
    src/services/name/CosNaming.idl src/services/name/LName.h CVS:
    src/services/name/LName.pidl CVS:
    ----------------------------------------------------------------------
    Lots of portability fixes (for the irix 6.5, mips pro cc 7.21)
    There should be no changes in functionality

    fixed _lots_ of void pointer arithmetic problems.  made
    GIOPRecvBuffer->cur a char* instead of a gpointer because it gets used
    so often in expressions.

    Added an unused data field "int
    a_struct_must_have_at_least_one_named_field"
    to all empty structs so things will compile.  The idl-compiler should
    probably be made to insert these on it's own.

    fixed some variable in initializer problems.

    fixed some invalid lvalue casts

    remove the perens in #defines surrounding block statements
    ie
    #define fi(fo) ({ fum(fo); ...})
    =>
    #define fi(fo)  { fum(fo); ...}

M	util.c

commit 7c8a618d22d965096a5c3d4d3ec21e60bb2eab5c
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-11-23

    move version to 0.5.4

M	Makefile.am
M	configure.in

commit f4fb6736d996e4a23d1096e84c3a33bbb579dd10
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-11-23

    If no 64-bit type, define IDL_LL as "l" and move typecode enum
    to types
    section

M	IDL.h
M	util.c

commit c9aacde55ea56b7cbcfceb81ed062e5a637c8e8a
Author: Dick Porter <dick@src.gnome.org>
Date:	1998-11-20

    Teach IDL compiler about the "TypeCode" interface type, and treat
    it like the
    "Object" type.

    Simple test program to demonstrate use of TypeCode in an interface.

M	IDL.h
M	lexer.l
M	parser.y
M	util.c

commit a7ae38fb7de97d7705753472fe9b2b8d6979a3bb
Author: Andrew T. Veliath <andrewtv@usa.net>
Date:	1998-11-20

    Print out identifiers and any comments.

    1998-11-20	Andrew T. Veliath  <andrewtv@usa.net>

	* tstidl.c (print_ident_comments): Print out identifiers and any
	comments.

	* util.c (IDL_parse_filename): Init __IDL_new_ident_comments, then
	free any remaining on return from parsing.  Same for
	IDL_parse_filename_with_input.
	(IDL_tree_free_real): Free comments of identifier.

	* parser.y (IDL_queue_new_ident_comment): New function.
	ns_new_ident, cur_ns_new_or_prev_ident: Assign comments to the
	newly created identifier if they exist.  This function, called
	from the input callback will queue comments to be assigned to the
	next newly created identifier (queue order is maintained, and
	stored in the comments list in the identifier node).

	* IDL.h: Add comments list to IDL_IDENT.

M	ChangeLog
M	IDL.h
M	parser.y
M	tstidl.c
M	util.c
M	util.h

commit 8a321946d508ef770e2ea338997ba6da1c40d268
Author: Andrew T. Veliath <andrewtv@usa.net>
Date:	1998-11-19

    Provide example of alternate input method.

    1998-11-19	Andrew T. Veliath  <andrewtv@usa.net>

	* tstidl.c (my_input_cb): Provide example of alternate input
	method.

	* lexer.l (YY_INPUT): Allow stream input from user defined
	callback. (__IDL_lex_init): Set __IDL_inputcb to NULL.

	* util.c, util.h: Add variables for input callback.
	(IDL_parse_filename_with_input): New function.

	* IDL.h: Add IDL_input_callback, IDL_input_reason, IDL_input_data.
	(IDL_parse_filename_with_input): Add prototype.

	* lexer.l: Add XPIDL inclusive start condition.  Activate
	condition when IDLF_XPIDL is specified in the parse flags before
	scanning.

    COPYING, INSTALL: autogen installs these

D	COPYING
M	ChangeLog
M	IDL.h
D	INSTALL
M	lexer.l
M	libIDL.texi
M	libIDL2.texi
M	tstidl.c
M	util.c
M	util.h

commit bd838f77da687a1d44a4cd714c38db3429903ec1
Author: Andrew T. Veliath <andrewtv@usa.net>
Date:	1998-11-17

    Had b10_int and b10_uint reversed.

    1998-11-16	Andrew T. Veliath  <andrewtv@usa.net>

	* lexer.l: Had b10_int and b10_uint reversed.

	* tstidl.c (print_const_dcls): Update for IDL_LL.

	* lexer.l: Use new IDL_LL constant.
	(YY_INPUT): Use this now for testing.  This will eventually be
	used for cpp input override capability.

	* IDL.h (IDLF_XPIDL): New parse flag, for eventual XPIDL support.
	(IDL_LL): Replaces old IDL_*_FMT defines.  Use this in place of
	the conversion operator instead of the entire % construct. Rename
	IDL_callback to IDL_msg_callback. Note: glib currently doesn't
	tell me what conversion specifier to use for GINT64, so this may
	currently be troublesome on some platforms (it had to be changed
	since the hack that was in place no longer works).

	* Makefile.am, configure.in: Bump version number to 0.5.3.

M	ChangeLog
M	IDL.h
M	Makefile.am
M	configure.in
M	lexer.l
M	parser.y
M	tstidl.c
M	util.c

commit ce00749c9a99f65f5aa17fbfd00af7e50549fb70
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-11-11

    Patch from Phil to move enum defs out of structs, to work better with
    C++.

M	IDL.h

commit 9780e83c2ff329d9c77b8e741073008696eaf5a8
Author: Dick Porter <dick@src.gnome.org>
Date:	1998-11-01

    Commented chunks out of corba_any.c until it compiled, moved the
    tricky line
    in corba_any.h into its own file that can be #included later in
    orbit_types.h

    configure.in now tests for glib >= 1.1.4

M	configure.in

commit 131fe8a0287fdcdf73bff6b93b17850ea33dba4e
Author: Raja R Harinath <harinath@src.gnome.org>
Date:	1998-11-01

    Use G_HAVE_GINT64 instead of HAVE_GINT64.
    Updated to new `glib'.

M	IDL.h

commit 0dd086ae44f037783a6a9192b5b1799e1bc8cae5
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-10-26

    Update version to 0.5.2

	* Update version to 0.5.2

	* ns.c (IDL_ns_load_idents_to_tables): Initialize
	struct insert_heap_cb_data just before use.

M	ChangeLog
M	Makefile.am
M	configure.in
M	ns.c

commit fffd4d882e1d034879c4640f07a7ff949afc6669
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-10-20

    Try to make #includes behave more rationally when source IDL file
    is not

    * util.c (IDL_parse_filename): Try to make #includes behave more
    rationally when source IDL file is not in the current directory.

M	ChangeLog
M	util.c

commit f36ddbf33b79468894977ae4ead87bf1e22538cb
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-10-15

    Trying a (hopefully) better 64-bit format selection...

M	IDL.h

commit d82612241fe09422da19f8f645d18c8796749240
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-10-14

    parser.y (IDL_resolve_const_exp): Allow return of enumerated
    identifiers.  Currently trying to use an enumeration in an arithmetic
    expression is disallowed.

M	ChangeLog
M	IDL.h
M	parser.y
M	util.c

commit ad7d189a96a2b91177785aa04b33e7f083168bb7
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-10-09

    hi

M	util.c

commit 91d2e5048b18759a0af3783d1aa40d2da186b6ea
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-10-09

    Code reformatting...

M	lexer.l
M	libIDL.texi
M	libIDL2.texi
M	ns.c
M	parser.y
M	tstidl.c
M	util.c

commit 797dbe5d0ca5ad17d76c7e2c10150d70c40e2c0d
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-10-09

    - Last commit; updated to version 0.5.1.
    - parser.y: (positive_int_const) Improve errors and warnings for
    nonsensical values.
    - Header files suffered a reindentation

M	ChangeLog
M	IDL.h
M	lexer.l
M	ns.c
M	parser.y
M	rename.h
M	tstidl.c
M	util.c
M	util.h

commit b23e9a3f15a82c43de2f11c6ce529db508a6f8d3
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-10-08

    - Fix to constant integer problem as reported by Joe Kelsey.  Stuff
    like the following now should work:

    const short cval1 = 5;
    const short cval2 = cval1 * 2;
    const short cval3 = cval2;
    const short cval4 = cval1 + cval2 + 3;

    struct s1 {
	short z[cval2];
    };

    Because constant evaluation is now on by default, the IDLF_EVAL_CONST
    flag has been replaced by IDLF_NO_EVAL_CONST (i.e. the default sense
    has been inverted).  Programs that used IDLF_EVAL_CONST will need
    updating.

    * IDL.h (IDLF_NO_EVAL_CONST): New flag, obsoletes IDLF_EVAL_CONST,
    which has been removed.  The default behavior is now to evaluate
    constant expressions.

    * IDL.h, parser.y (IDL_resolve_const_exp): New function.
    positive_int_const changed to attempt resolution of expression to
    an integral value.	primary_expr will attempt resolution of scoped
    names, so constant evaluation is now much improved.  An

    - Add middle initial to my name (accounts for the other files).

    IDL_NODE_IS_LITERAL is also now in IDL.h.

M	AUTHORS
M	ChangeLog
M	IDL.h
M	Makefile.am
M	configure.in
M	lexer.l
M	libIDL.texi
M	libIDL2.texi
M	ns.c
M	parser.y
M	tstidl.c
M	util.c
M	util.h

commit 1ac91fdae3544d5dec752caf7a99068706b0e93c
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-09-22

    remove unecessary remove for yacc rule (need for lex rule)

M	Makefile.am

commit d1878946088cd7fbbc3b880a28041748d2ca15ac
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-09-22

    make yacc rule more portable to other Unices

M	Makefile.am

commit 453c7ab7260c29f9109521ef6083a9e12beafe8a
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-09-22

    --srcdir is neat, come to think of it ;-)
    minor cleanups, and will clean up parser and lexer generated files now
    (this is contrary to automake's explicit default behavior, but hey,
    most people seem to believe this way is normal)

M	Makefile.am

commit 3865d53cc44bfd1dd5ad473edd0f823ffec84d73
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1998-09-22

    bugfix for flex's broken arg parsing.



    bugfix for flex's broken arg parsing.

M	Makefile.am

commit 019ff3650f1455362a2d5a6f93b9e807084a0a8e
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1998-09-21

    Misc Makefile.am fixes (andrewv is going to shoot me for his libIDL
    hacks,



    Misc Makefile.am fixes (andrewv is going to shoot me for his libIDL
    hacks,
    because they are not fully doing what was intended... *sigh*)
    for 0.3.0

M	Makefile.am

commit 41a2a22c4396459c1e319058fce868fbe3dc7d32
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1998-09-21

    rules/vars to generate parser.c from parser.y

M	Makefile.am

commit 08f558e9522a7360320f35b6e5c2b820ab7125bc
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1998-09-21

    rules/vars to generate parser.c from parser.y

M	Makefile.am

commit 799197faf7aa394270a04a9e30ee662909c954e1
Author: Tristan Tarrant <ttarrant@src.gnome.org>
Date:	1998-09-01

    Fixed .cvsignore files.

    Tristan

M	.cvsignore

commit 73c2fa71b8a564d9daffb7a1767aa48f6d6be3b6
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-27

    Minor doc update.

M	libIDL.texi
M	libIDL2.texi

commit 4292e64cb18f98a0c103bd7dcb8258b0c811fe31
Author: Andrew Veliath <andrewtv@usa.net>
Date:	1998-08-27

    Update version to 0.5.0.

    Thu Aug 27 10:52:41 1998  Andrew Veliath  <andrewtv@usa.net>

	* Update version to 0.5.0.

	* Updates to libIDL.texi, and renable in Makefile.am.

	* Integrate default maximum warning level into IDL_parse_filename.

    Will update orbit-idl for the IDL_parse_filename interface change,
    and the ORBit spec.

M	ChangeLog
M	IDL.h
M	Makefile.am
M	README
A	autogen.sh
M	configure.in
M	libIDL.texi
M	libIDL2.texi
M	tstidl.c
M	util.c

commit 1a7d3e19e417b160aeee96ce0219bef698c4f916
Author: Andrew Veliath <andrewtv@usa.net>
Date:	1998-08-27

    Generate error if one tries to inherit from the same interface
    more than

    Thu Aug 27 03:30:44 1998  Andrew Veliath  <andrewtv@usa.net>

	* parser.y: Generate error if one tries to inherit from the same
	interface more than once.  Also use IDL_ns_ident_to_qstring to
	give more concise identifiers in error messages.

M	ChangeLog
M	parser.y

commit e6f9a51698adcbc12339d77cfe2f7c3bab13f591
Author: Andrew Veliath <andrewtv@usa.net>
Date:	1998-08-27

    Removed IDL_TRUE and IDL_FALSE, so we can just use the glib TRUE and

    Thu Aug 27 01:08:56 1998  Andrew Veliath  <andrewtv@usa.net>

	* IDL.h: Removed IDL_TRUE and IDL_FALSE, so we can just use the
	  glib TRUE and FALSE.	References switched...

	* util.c (IDL_tree_walk_in_order): (...pre_order changed to the
	more accurate ...in_order).  Behavior change, return value is now
	void, and returning TRUE from the IDL_tree_func means traverse
	this node, and FALSE means don't traverse this node, instead of
	the previous return FALSE and stop traversal all together.  This
	is much more useful for this context, I think.

M	ChangeLog
M	IDL.h
M	ns.c
M	parser.y
M	tstidl.c
M	util.c

commit cb1ac468c3cf90191d2c821ad811f4d7832bf6a7
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-27

    Rename IDL_tree_walk_pre_order to IDL_tree_walk_in_order (doh!), and
    update tstidl to print RepoIDs again.

M	IDL.h
M	tstidl.c
M	util.c

commit 6ac27bca7173f979509034801a20915dee82e237
Author: Andrew Veliath <andrewtv@usa.net>
Date:	1998-08-26

    Remove debugging messages.

    Wed Aug 26 01:48:12 1998  Andrew Veliath  <andrewtv@usa.net>

	* util.c (IDL_tree_process_forward_dcls),
		(IDL_tree_remove_inhibits),
		(IDL_tree_remove_empty_modules): Remove debugging
		messages.

	* util.c (IDL_parse_filename): Only run optimization if tree is
	  non-NULL, and improve useless file message.

	* parser.y: Complete previous declaration context error messages.

M	ChangeLog
M	parser.y
M	util.c

commit 8e8db61f7f5ac98fb9ff694ad29f85f1667d9cd4
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-25

    Update libIDL version to 0.4.0.


	* Update libIDL version to 0.4.0.

	* Update font lock keywords in README, added support for
	  __declspec.

    Version 0.4.0 can be checked out with the LIBIDL_V0_4_0 tag.  The
    prepended name is so we don't get too confused with the ORBit tags.

M	ChangeLog
M	Makefile.am
M	README
M	configure.in

commit 9990b10adc4d6bb0212888c85a79c9903c5037c8
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-25

    Implement IDL_tree_free for the IDLN_GENTREE hashes.


	* util.c: Implement IDL_tree_free for the IDLN_GENTREE hashes.

M	util.c

commit 945fcbd758824048e6d3512cb0c31918c281c41c
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-25

    Change libtool version to 3:2:3.

	* Makefile.am: Change libtool version to 3:2:3.

	* parser.y, IDL.h: Changes for global ref counting.

	* util.c (IDL_tree_free): Instead of ref counting only IDENTS,
	  ref count all nodes instead (updated __IDL_tree_free, added
	  IDL_tree_free_real).	Update remove_list_node to reflect this
	  change.

	* util.h: Remove __IDL_tree_free.

    Will update orbit-idl to reflect these changes...

M	ChangeLog
M	IDL.h
M	Makefile.am
M	ns.c
M	parser.y
M	util.c
M	util.h

commit bddcc482c3f310a3ef7766065e57247bcc6259a9
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-25

    Ref count IDLN_IDENTS.

	* util.c (__IDL_tree_free): Ref count IDLN_IDENTS.

M	ChangeLog
M	util.c

commit a1f9b82e32354a325311c7052dae2cb500491f6a
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-25

    Move AC_ISC_POSIX up to avoid autoconf warning.

M	configure.in

commit 7831bacdbe3ebdfab5003a1e8072dfb96005ad74
Author: Tom Tromey <tromey@cygnus.com>
Date:	1998-08-25

    BUG 344

    Tue Aug 25 01:46:10 1998  Tom Tromey  <tromey@cygnus.com>

	* util.c (IDL_strcase_equal): Use g_strcasecmp.
	(IDL_strcase_cmp): Likewise.

M	ChangeLog
M	util.c

commit a34cba67a52dd07b17d003f2495c12fac4fc1ae5
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-25

    Minor updates, change soname to 0.3.1.

M	Makefile.am
M	util.c

commit 78fea67b9e882c30a19bb4725a2e2991698ca551
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-24

    Bunch of fixes and updates. Inhibitted trees are no longer deleted
    after


    Bunch of fixes and updates.  Inhibitted trees are no longer deleted
    after
    removal, but are saved until the namespace is freed.  This should
    allow
    full traversal of the trees from the namespace for extra info, without
    having them in the primary tree.

    If you have any problems you can use the V0_2_1 tag in the meantime.

M	ChangeLog
M	IDL.h
M	ns.c
M	parser.y
M	util.c
M	util.h

commit 0ed6d0eb9070fc442681b8fdcabf9e8bb0e558f5
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-23

    use IDL_list_concat

	* ns.c: (IDL_ns_qualified_ident_new) use IDL_list_concat

M	ns.c

commit 0c00255083757c299b0264884682735046e73831
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1998-08-21

    configure.in, */Makefile.am: Use AM_PATH_GLIB instead of our own hack.



    configure.in, */Makefile.am: Use AM_PATH_GLIB instead of our own hack.

    src/orb/poa.c: Fix initialization of servants for child classes.

    src/idl-compiler/orbit-c-skeletons.c: Make the class info structure
    'const'

M	Makefile.am
M	configure.in

commit 7d03e0153814b254d724944744b5d8f046609ad0
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-20

    Improve duplicate error messages by pointing programmer to previous


    Improve duplicate error messages by pointing programmer to previous
    declarations.

M	parser.y

commit 80eceb0130bdeefb48d775288ab7609878870561
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-18

    mo updates

M	Makefile.am

commit ccdac4d04ba2cb4954aa0b8b97138ff31038e698
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-18

    libIDL is now libtoolized. It isn't thread-safe, but other than
    that it


	* libIDL is now libtoolized.  It isn't thread-safe, but other
	  than that it should work fine as a shared library (soname is
	  libIDL.so.0, with a revision link of 0.3.0).

	  orbit-idl most likely needs to be notified about this.

M	Makefile.am
M	README
M	configure.in

commit cd7c661d350172cf6c1d10342026148a6f29b0fe
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-18

    Fix

M	lexer.l

commit 8482ba98430f1379ae7806b31f813d9e3db551e6
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-18

    minor update

M	AUTHORS

commit 009132b96227d4fbf8c1f1bafb6e2560c22c0483
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-18

    Remove unresolved forward decls from tree for better detection of
    useless stuff.

M	util.c
M	util.h

commit d3c1ee3ceb096f732fcfb3002e65df3f28cbc3f8
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-18

    __declspec(inhibit) now works with entire modules

M	parser.y
M	util.c

commit eade8c5f3d135de9e066148d13342b5120cbdc71
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-18

    Add filename hash, save filename and line number for tokens. Add a few


	* Add filename hash, save filename and line number for tokens.
	  Add a few functions for node errors, and make ambiguous
	  inheritance conflicts give you the line numbers for the
	  conflicting things.  Also, unresolved forward declaration error
	  messages will point you to the pertinent forward declaration
	  file
	  and line.

M	IDL.h
M	lexer.l
M	ns.c
M	rename.h
M	tstidl.c
M	util.c
M	util.h

commit c3bea2f2d27f222700e31512a21dbfee5fc0c631
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-18

    more optimization updates

M	util.c

commit 064937e3eeafdea3557a19c0b3299835c12741bd
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-18

    Rename nostubs to inhibit so use __declspec (inhibit) instead.  This
    seems more meaningful, since the entire node is removed.

M	IDL.h
M	lexer.l
M	parser.y
M	util.c
M	util.h

commit 5da65eaa152ab88b3f51a3183b7a1d067f21440c
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-18

    Sopwith,

    Some cool minor optimizations, debugging messages are still there.
    Post parse passes are as follows: resolve forwards declarations,
    remove nostub interfaces, then multi-pass empty module removal
    (orbit-idl don't like dem NULL modules :-).

    It's cool to see the following .idl file reduced to a NULL tree, and
    will see the "Error: File does not generate any useful information"
    message.  I am thinking of changing the nostubs decl attribute to
    "inhibit" instead, since it might be more meaningful, and having apply
    to modules as well, since you wouldn't have to tag every interface.

    __declspec (nostubs) interface A {
	attribute long bubba;
    };
    __declspec(nostubs) interface B : A {
    };
    module D { module E { module F { module G { }; }; }; };
    module C {
	__declspec(nostubs) interface C {
	};
	__declspec (nostubs) interface DDDD { };
    };
    module SDF { __declspec (nostubs) interface A { }; };

M	parser.y
M	util.c
M	util.h

commit 7073976ba8d5dd2933e833834e86887695cc153a
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-17

    Remove debugging message

M	util.c

commit dcda5fa105cbf1c0b2348a560104c6db4ad4ab85
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-17

    Updates, and change version to 0.3.


    Updates, and change version to 0.3.

M	BUGS
M	ChangeLog
M	NEWS
M	README
M	configure.in

commit f3510388fa92381ac672f6f777a86446505d43d3
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-17

    Make an IDLF_COMBINE_REOPENED_MODULES flag since Sop "no longer
    needs it"


    Make an IDLF_COMBINE_REOPENED_MODULES flag since Sop "no longer needs
    it" ;-), and revamp __declspec (nostubs) so it works properly with
    everything else now, as it has been moved to the semantic analysis
    phase.

M	IDL.h
M	parser.y
M	util.c
M	util.h

commit 8e1af2718d85131c3b9f0e3c138bd6d67988529b
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-17

    walk forwards example

M	tstidl.c

commit 80e1a6f4d4a8721a3511c093c8353b87c4c7bad5
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-17

    Change long IDL_long_t to longlong


	* Change long IDL_long_t to longlong

	* Add declaration specification support.  If you want an
	  interface to be added to the tree, you say:

	  interface A { };

	  If you don't want it added to the tree (but it will remain
	  in the namespace for name lookups), you say:

	  __declspec (nostubs) interface A { };

	  You could put put a NOSTUBS_A before that to define it
	  conditionally with CPP, or say in myfile.idl -DNOSTUBS_MYFILE
	  and inside there is an #ifdef NOSTUBS_MYFILE then define the
	  attributes, else define them empty.

	  Forward declaration resolution is temporarily disabled in
	  semantic checking since I have to revamp it to support this.

M	IDL.h
M	lexer.l
M	parser.y
M	tstidl.c
M	util.c

commit 9f6c7635f1ceb887ca83b24f2389a15f2f86721f
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-17

    Create an explicit "native" declaration node type.

M	IDL.h
M	parser.y
M	util.c

commit c3813f615d35a433d15d4e14e3e49a772d299aff
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-17

    Fix the problem of multiple tree nodes for reopened modules.

M	IDL.h
M	parser.y
M	util.c

commit e47f09aca034d985d196a89c9ea2c7739d080161
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-15

    Correct case-insensitive recognition of object token.


	* lexer.l: Correct case-insensitive recognition of object token.

M	lexer.l

commit a35e63f2c3eaf3128b8cf0ee683c3322f51373f4
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1998-08-14

    Allow 'Object' or 'object' to specify object type. (It's not
    supposed to



    Allow 'Object' or 'object' to specify object type. (It's not supposed
    to be case-sensitive at
    all - can you do the "correct" fix, Andrew?)

M	lexer.l

commit d253ea37735b93d90d68f27080fd898871b2948a
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-11

    Create IDL_tree_check_semantics, move callback reset to after call to


	* util.c: Create IDL_tree_check_semantics, move callback reset
	  to after call to this.

M	util.c

commit 2b3c4c79b12d56034a3aa992a1600948f8f81c35
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-10

    util.c

M	util.c

commit 34d256084ab7e546d807dd55a84a94a18fdadeb5
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-10

    Catch the interface Object construct, which isn't legal, but is
    in some


	* parser.y: Catch the interface Object construct, which isn't
	  legal, but is in some pseudo-IDL files.

	* lexer.l: Bring back Object token recognition.

M	ChangeLog
M	lexer.l
M	parser.y

commit 632941c9a237eb20197ada1d61d21261cecf4c8a
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-10

    Free originally hashed string value.


	* util.c: Free originally hashed string value.

M	util.c

commit 11805fdb8d253be1d3a2ccad5e6dafc329a90f75
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-10

    Add formfeeds and carriage-returns to whitespace regex.


	* lexer.l: Add formfeeds and carriage-returns to whitespace regex.

M	lexer.l

commit 42f2c9c3e191374ec9fe5599a098129dd9b1e5c3
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-10

    Generate descriptive error if trying to inherit from an interface
    which


	* parser.y: Generate descriptive error if trying to inherit
	  from an interface which has only been defined in a forward
	  declaration so far.

	* util.c: Minor update

M	parser.y
M	util.c

commit 75cbcceddb71c807ec1392fb85d7c1fdc4cf6d0e
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-10

    Print out RepoIDs of interfaces and attributes.


	* tstidl.c: Print out RepoIDs of interfaces and attributes.

M	tstidl.c

commit 83d77fb5b4942c482986a8aacdd73ee01444ab04
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-10

    If given and IDLN_IDENT, quietly call IDL_IDENT_TO_NS.


	* ns.c (IDL_ns_ident_to_qstring): If given and IDLN_IDENT,
	  quietly call IDL_IDENT_TO_NS.

	* util.[ch]: Change g_strcase_hash to IDL_strcase_hash (make
	  public).  Add IDL_strcase_equal, IDL_strcase_cmp,
	  load_forward_dcls, resolve_forward_dcls,
	  print_unresolved_forward_dcls, IDL_tree_resolve_forward_dcls.
	  (IDL_parse_filename): Warn on unresolved forward declarations in
	  post-parse semantic checking.  Remove __IDL_tree_print, add
	  IDL_tree_walk_pre_order.

	* IDL.h: Add IDL_tree_walk_pre_order prototype and callback
	typedef.

M	ChangeLog
M	IDL.h
M	ns.c
M	tstidl.c
M	util.c
M	util.h

commit 0726004ac4b3564542ae40b82f6abed2cbc7fe73
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-09

    Add some example Emacs lisp code for Emacs 20.x which does IDL syntax


	* README: Add some example Emacs lisp code for Emacs 20.x
	  which does IDL syntax highlighting.

M	README

commit 49216f28b18a692efd46065b873f4e7d9444854c
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-09

    Update

M	ChangeLog

commit baa252f904929697d3986985f6dc020a60788f74
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-09

    enum_type: Don't generate a nested scope.


	* parser.y: enum_type: Don't generate a nested scope.

M	parser.y

commit a163d24b1c9b94ce4f8a97c833c186329e917555
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-06

    Only warn about the first identifier with an underscore, not all
    of them.


	* lexer.l: Only warn about the first identifier with an
	  underscore, not all of them.

M	lexer.l

commit 19fe92073ba3ff5182f1d56df9f94bcc9bf82742
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-06

    Cleanups. Make tokens more manageable, remove code which has been


	* parser.y: Cleanups. Make tokens more manageable, remove
	code which
	  has been commented for a while.

M	parser.y

commit 41aa488a761151a8b2b3d397ef2773bdadf21695
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-06

    Reenable some code

M	util.c

commit 6849fa52befd403623f408a0d7d8a283d681346d
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-06

    Allow for redefinition of certain items in inheritance (doesn't detect


	* Allow for redefinition of certain items in inheritance
	  (doesn't detect some invalid items, but still better than
	  before).

	* Change the namespace data structure from a general tree using a
	  linked list to case-insensitive string hashes for each tree
	  level.  Used g_str_hash from glib modified for
	  case-insensitivity (g_strcase_hash).

	* Fix bug where some top-level redeclarations would cause a core
	  dump.

	* Change references to strdup to g_strdup, and update
	  configure.in.

M	BUGS
M	ChangeLog
M	IDL.h
M	configure.in
M	lexer.l
M	ns.c
M	parser.y
M	tstidl.c
M	util.c
M	util.h

commit 6ccbed0c2b3a2a2028453dee0436f108b7fe97a4
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-06

    Major code movements--no actual changes, but prepare for libIDL
    0.3, which


	Major code movements--no actual changes, but prepare for
	libIDL 0.3, which will consist of rewrites of some code to fix
	the current namespace problems, and improve speed.

M	BUGS
M	ChangeLog
M	Makefile.am
A	ns.c
M	parser.y
M	util.c
M	util.h

commit ca764ad29179666a4adaf2b04af8a0bff23354ad
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-05

    Minor cleanups


	* lexer.l: Minor cleanups

M	lexer.l

commit 840726a4392c65d9d8d6550e7a2af7702f1baef7
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-05

    Add IDL_check_cast_enable(boolean) macro.


	* IDL.h: Add IDL_check_cast_enable(boolean) macro.

M	IDL.h

commit 914dc5720329d5386c2477ec0f03585301a37cf5
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-05

    Updates to 64-bit integer handling.


	Updates to 64-bit integer handling.

M	IDL.h
M	lexer.l

commit 54687cd1e7b89b5372b151560cbacdff426d5f7a
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-05

    Cast type checks are now off by default. To turn them on, use:
    { extern


	* parser.y: Cast type checks are now off by default.  To turn
	them on,
	  use:
	{ extern int __IDL_check_type_casts; __IDL_check_type_casts =
	IDL_TRUE; }

M	parser.y

commit 6f3d0b1cb9821bb11959c54e88b105a02489f49e
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-05

    minor fix


	* parser.y: (IDL_ns_load_idents_to_tables) minor fix

M	parser.y

commit 5363aaa2fe2ab5c7ce2ee89af5397ab46af29714
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-05

    Change C-language warning level to warning level 2, all other
    warnings to


	* lexer.l: Change C-language warning level to warning level 2,
	  all other warnings to level 1

	* parser.y (yywarning*): Add multiple warning levels

	* IDL.h: Remove IDL_WARNING, add IDL_WARNING1-3 and IDL_WARNINGMAX

	Going to update main.c from orbit-idl now to deal with this.

M	ChangeLog
M	IDL.h
M	lexer.l
M	parser.y
M	util.h

commit b9c7246c7a05aa1dd4f9de21e3d3836c22e2f334
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-05

    Generate a CPP error if glib.h isn't included beforehand.


	* IDL.h: Generate a CPP error if glib.h isn't included beforehand.

	* IDL.h, parser.y: Integrate Sebastian Wilhelm's patch to add type
	  cast checking, with a number of style modifications of my own
	  (anything I broke is my fault ;-) for libIDL and add a warning
	  on casting a NULL pointer.

M	ChangeLog
M	IDL.h
M	parser.y
M	tstidl.c

commit 37906516156248cebe5b5d4894fd5fe5cd84383a
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-05

    Dick mentioned we should be more informative on underscores in


	* lexer.l: Dick mentioned we should be more informative on
	  underscores in identifiers.  So be it ;-).

M	lexer.l

commit a85d787615d22fedaff8e04b8494c50c5b2b38ef
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-05

    list_start, list_chain, zlist_chain + affected: Update list
    handling to


	* parser.y: list_start, list_chain, zlist_chain + affected:
	  Update list handling to conditionally add NULL trees.

M	parser.y

commit 0bff29b69003f2ded26bc3ae8b6d8a120ec572e8
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-05

    Make the ambiguous error message display type info too.


	* parser.y: Make the ambiguous error message display type
	info too.

M	parser.y

commit 1bc6bd8a442423b3bbf5028aea59981359ba1b93
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-05

    parser.y: Minor fix

M	parser.y

commit 906da267f46747f06281f45d375c5013a6e06ceb
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-05

    Begin operation fix libIDL bugs ;-)


	Begin operation fix libIDL bugs ;-)

	* parser.y: (IDL_ns_load_idents_to_tables): Add selective type
	collision checking. Only collide if a duplicate identifier for
	an attribute or operation is detected, not other types (the
	spec says only attributes and operations cannot be redefined).	A
	change may be needed for redefining in the current scope, I'll
	look into that soon.

M	parser.y

commit 7d862539a0b709bae9fa9e74cc731c553991e3bb
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-04

    Fix error message, allow forward declarations to work properly (was


	* parser.y: Fix error message, allow forward declarations to
	  work properly (was generating meaningless error)

M	parser.y

commit e3d246aa229cf03f4886cdad11bf6159cbfdc99d
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-04

    Capitalize some error msgs, break some long lines. Forgot to
    mention in


	* parser.y: Capitalize some error msgs, break some long lines.
	  Forgot to mention in last message that libIDL is now v0.2

M	parser.y

commit 189f6d17ab0e48cbee7240fff678e72bd6d34e48
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-04

    Add IDL_IDENT_REPO_ID macro Minor changes


	* IDL.h: Add IDL_IDENT_REPO_ID macro
	* parser.y, lexer.l: Minor changes

M	IDL.h
M	configure.in
M	lexer.l
M	parser.y

commit 7e02f00bbc5cd4b48b3d27429aa7803856960920
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-04

    Preliminary inheritance checks and stricter error checking.


	      Preliminary inheritance checks and stricter error checking.

	    * parser.y: Add heap_insert_ident, is_visited_interface,
	      mark_visited_interface, IDL_ns_load_idents_to_tables,
	      IDL_ns_check_for_ambiguous_inheritance.  Errors are now
	      generated
	      for ambiguous declarations (please test).

	      Errors are now generated if you an interface after a module
	      with the same identifier or vice-versa.  Also you cannot
	      reopen an interface now like a module.

M	BUGS
M	ChangeLog
M	parser.y

commit 48f9e485d1852075e9397a3be4fa5f43cd7ae243
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-04

    Generate RepositoryIDs for all idents, implement pragmas below.


	* parser.y: Generate RepositoryIDs for all idents, implement
	  pragmas below.

	* lexer.l: Update pragma recognition for indented #'s

	* IDL.h: Update for RepositoryIDs

	This is the first cut at Repository ID generation.  As per the
	the OMG IDL spec (see 8.6), the following #pragmas are now
	available
	for testing.  Default Repository IDs are in OMG IDL format,
	of the form
	IDL:<prefix/><scope>:<majorver>.<minorver>.  The default version
	is 1.0, which can be changed with #pragma version.


	#pragma prefix "prefix"		- assign a new prefix for the
					  current scoping
	#pragma ID <name> "ID"		- assign a completely new RepoID
					  to <name> which is either
					  relative
					  or globally scoped identifier
	#pragma version <name> <major> <minor>
					- given <name>, if it is an OMG
					  IDL RepoID, replace the version
					  with the version given here

	To access the Repostitory IDs from an IDL_IDENT structure, you
	simple say IDL_IDENT(ident).repo_id, which will give you a
	char * containing the Repository ID.

M	ChangeLog
M	IDL.h
M	lexer.l
M	parser.y
M	tstidl.c

commit 4b2b8588d10843a84ab0ee010c5e80582a51a98a
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-04

    Minor fix

M	parser.y

commit 3d35c20220396236eeb90a5aecaf25fd2a043c3c
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-04

    Generalize do_prev_token_error to do_token_error, add useless
    semicolon


	* parser.y: Generalize do_prev_token_error to do_token_error,
	  add useless semicolon error message, add illegal context
	  error message for scoped names, change list chaining behavior to
	  not add NULL trees.

	I've been feeding libIDL crap IDL all day in the hopes to improve
	error messages.  Please beat on it if you can by feeding it crappy
	IDL.  Hopefully the error messages have been improved
	significantly
	with these past few changes and made more intelligent.

M	parser.y

commit b20d555282040bc16ed3a35dd8494e71894c4147
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-03

    Consolidate idl_is_okay into yyerror.

	* parser.y: Consolidate idl_is_okay into yyerror.

M	parser.y

commit 2039182cc14a3e0a1510d8be690c6c6118d48bdc
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-03

    Generate error message if an empty module declaration is encountered.


	* parser.y: Generate error message if an empty module declaration
	  is encountered.  Improve missing parameter attribute error
	  message.

M	parser.y

commit ec2a07a2eb5f13271affa3b86592e0fcc05189f1
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-03

    Generalize check_{semicolon,comma} to do_prev_token_error


	* parser.y: Generalize check_{semicolon,comma} to
	do_prev_token_error

M	parser.y

commit f81f4b4a50809f2a18f3a630d64cf6d27411a6e7
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-03

    Sync check_comma


	* parser.y: Sync check_comma

M	parser.y

commit 05cbd2ee75ca54b933878c7a54a8970f25cdf60a
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-03

    Forgot 'operation parameter' error message.


	* parser.y: Forgot 'operation parameter' error message.

M	parser.y

commit f5a88d841cfbc765f95d0d6de980459f72357a2b
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-03

    Save previous token's line number


	* lexer.l, util.h: Save previous token's line number

	* parser.y: Make semicolon/comma error messages give pertinent
	  line for error message.  Don't die on any get_error_string
	  for now.

M	lexer.l
M	parser.y
M	util.h

commit fd629217a532fffeb40ee809eeb0abe15558ce80
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-03

    More Really Nifty (TM) error messages. Improvements to missing
    semicolon


	* parser.y: More Really Nifty (TM) error messages.  Improvements
	  to missing semicolon detection, newly added missing comma
	  detection,
	  also generates a readable error if you forget in, out or
	  inout in
	  a parameter declaration.

	* Makefile.am: The new error detection stuff generates a few
	conflicts
	  from yacc, which I believe to be safe.  stderr from yacc is
	  now piped
	  to /dev/null to keep people not working on it quiet.

M	Makefile.am
M	parser.y

commit 7b49fdc12f1412afed601849afb3a180c299114a
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-03

    Bitbucket stderr from the other CPP format.


	* parser.y: Bitbucket stderr from the other CPP format.

	* IDL.h: (Whitespace change)

M	IDL.h
M	parser.y

commit b09206bfc06a1374a409172d3a916b08996f39a9
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-03

    Even better semicolon error messages.


	* parser.y: Even better semicolon error messages.

M	parser.y

commit 7ad3ce46f8bd52d33f73187ac8e4f074684bd0e8
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-03

    Disable Object token (for now at least...)


	* lexer.l: Disable Object token (for now at least...)

	* parser.y: Send CPP errors to /dev/null, add much better error
	  messages when semicolons are missing (adds a harmless
	  shift/reduce
	  conflict).

M	lexer.l
M	parser.y

commit 08fa8e4687c014010c7ae6dd657b465993329c1c
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-08-01

    Add patch from Federic Devernay to change CFLAGS to INCLUDES so that


	* Makefile.am: Add patch from Federic Devernay to change CFLAGS
	  to INCLUDES so that CFLAGS gets passed from the environment,
	  also link tstidl directly to libIDL.a.

M	Makefile.am

commit 5fa2c45542b6fa486a3eef8533db1ca4961e43a8
Author: Dick Porter <dick@src.gnome.org>
Date:	1998-07-28

    Found the infinite loop - the ident part of the interface tree didnt
    have its
    "up" pointer set correctly.

    name.idl still doesnt compile, but it shouldnt be too hard to
    fix now...

M	parser.y

commit ad70c2606c76db903a722470c1f5b9bc2b878a05
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-28

    Create AC_CPP_ACCEPT_IDL and AC_CPP_PIPE_STDIN tests


	* acinclude.m4 (revive): Create AC_CPP_ACCEPT_IDL and
	AC_CPP_PIPE_STDIN tests

	* configure.in: Add AC_CPP_ACCEPT_IDL and AC_CPP_PIPE_STDIN in
	configuration

	* util.h, parser.y, lexer.l: If HAVE_CPP_PIPE_STDIN is defined,
	then compile for piped CPP input, else use the more portable
	symlink method.  Also use getcwd instead of g_getcwd, since it has
	been commented out in glib.

M	ChangeLog
A	acinclude.m4
M	configure.in
M	lexer.l
M	parser.y
M	util.h

commit 1aa4b945d60418882b89726faf3e93e30174d040
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-27

    Temporarily disable #pragma prefix interpretation, since it's broken.


	* parser.y: Temporarily disable #pragma prefix interpretation,
	  since it's broken.

M	parser.y

commit 0922a7f56dd44837fc718866eb57f711157fbc9b
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-27

    Add an ident sanitizer to pragma prefix


	* parser.y: Add an ident sanitizer to pragma prefix

M	parser.y

commit c53fb1495121f995ef4c3bdfe0dd91aca47248e4
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-27

    Update

M	ChangeLog

commit 539eb3258268f2b78d6cc5ff4779148a6b82ab5b
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-27

    More fixes to IDL_parse_filename


	 * parser.y: More fixes to IDL_parse_filename

M	parser.y

commit e3ec727afb846c732ea9f3e1360397709ebe372a
Author: Manish Vachharajani <mvachhar@src.gnome.org>
Date:	1998-07-25

    Apply Neil Vachharajani's patch to fix memory allocation in
    IDL_parse_filename

M	ChangeLog
M	parser.y

commit 74c2e4e2a7c492f5afcc9adb7be799883ba45be7
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-23

    Try using AC_PROG_CPP instead. There is a small bit of trickery
    involved


	* Try using AC_PROG_CPP instead.  There is a small bit of trickery
	  involved in getting this to work, but I hope it will allow it to
	  run on more machines correctly.

D	acinclude.m4
M	configure.in
M	lexer.l
M	parser.y
M	util.h

commit 47bcb91607218e3d64a3daa4336d90905c4d6dec
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-23

    Move CPP_PROGRAM out of acinclude.m4


	* configure.in, acinclude.m4: Move CPP_PROGRAM out of acinclude.m4

M	acinclude.m4
M	configure.in

commit 1c0348f583a3e59a02edf23b1375ea491815ee0f
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-23

    Fix indent

M	acinclude.m4

commit 26532850ebb2f5fca809c044235d37b438700d8e
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-23

    Comment out useless nonterminals and productions.


	* parser.y: Comment out useless nonterminals and productions.

	* configure.in: Update for new macros in acinclude.m4.

	* acinclude.m4: New file with some CPP rules (better detection,
	  though might still need work).

	* Makefile.am: Build tstidl, but do not install.

M	Makefile.am
A	acinclude.m4
M	configure.in
M	parser.y
M	tstidl.c

commit 2fa1252df177ebc21bf24971f5c49c19d058ab1e
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-20

    Minor configuration cleanups - Require glib for libIDL for future
    speedup


    Minor configuration cleanups
     - Require glib for libIDL for future speedup stuff
     - Misc cleanups, update some toplevel files

M	BUGS
M	ChangeLog
M	Makefile.am
M	NEWS
M	README
M	configure.in
M	parser.y
M	util.h

commit 3cf05c5df311b6b9bb819310d277f7da35495fe0
Author: Dick Porter <dick@src.gnome.org>
Date:	1998-07-17

    Compiler warnings eliminated.

M	.cvsignore
D	aclocal.m4

commit 2cca3ea7ecd479ad4a451eb07e438f611b3fddcb
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-14

    - First cut at inheritance. Most things should work, however it won't


    - First cut at inheritance.  Most things should work, however
      it won't detect ambiguous declarations yet.  Either way,
      it could use some stress-testing.

    - Improved error and warning messages with varargs versions of
      yyerror/yywarning.

M	IDL.h
M	lexer.l
M	parser.y
M	rename.h
M	util.h

commit b43773152356ca924e87ab5aad9447c14ee96a08
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1998-07-14

    Add IDL_list_nth()



    Add IDL_list_nth()

M	IDL.h
M	parser.y

commit bd8d338e1f2f213ed8430e0e7f589e257d0f187f
Author: Chris Toshok <toshok@src.gnome.org>
Date:	1998-07-07

    add config.cache

M	.cvsignore

commit 641d8dbf3a656e1393d4567f394f118170bc35d4
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1998-07-06

    Add IDL_list_length()



    Add IDL_list_length()

M	IDL.h
M	parser.y

commit ac6b8e567bd5c7e6aff31b53412574b68cde9e62
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-06

    Better include wide char support before libIDL/IDL.h :)...

M	IDL.h
M	configure.in
M	lexer.l
M	parser.y
M	util.h

commit 00b6c250a5c6a73c0b389b20fca657d82ae58920
Author: Seth Alves <alves@src.gnome.org>
Date:	1998-07-05

    FreeBSD doesn't have wchar.h

M	IDL.h

commit f0c12ca502d3a70f7b16543b6996b911e35bd54f
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-04

    free to IDL_tree_free

M	parser.y

commit 526263177ff8a4067aa3fa18d942b287c801ab65
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-04

    Misc cleanups

M	IDL.h
M	lexer.l
M	parser.y
M	tstidl.c

commit b2d24f46ee697de32a3c464410a75061d3f5a161
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-03

    Change fixed to char * and add TOK_NATIVE

M	IDL.h
M	lexer.l
M	parser.y

commit 736e75398fbd1f02abf6c31be6588ee87c79a207
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-03

    Changes to make parse tree more AST-like (some functions may need
    to be


    Changes to make parse tree more AST-like (some functions may need to
    be updated).

    - Add IDL_tree up node in IDL_tree_node.

    - Change all new node functions to set parents of children.
      Make sure idents only get set to the original parent.

    - Alter IDL_GENTREE to use up node instead of parent in node data.

    - Create IDL_get_parent_node and modify IDL_ns_ident_to_qstring.

      IDL_get_parent_node can take an optional pointer, which will
      return the number of scope levels up.  This number, if given
      to IDL_ns_ident_to_qstring, will cause the returned ident to
      be qualified only up to and including the node returned from
      IDL_get_parent_node.   Using zero fully qualifies the name (i.e.
      from top level).

      Now, using the returned scope_levels from IDL_get_parent_node,
      for instance, giving one less this value to IDL_ns_ident_to_qstring
      will qualify it up to but _not_ including the parent node, to
      give you an idea of how it will work.  So blindly giving a value of
      1 will yield only the ident itself (prepended with a join string).

    - Add protos for version string functions.

M	IDL.h
M	parser.y
M	tstidl.c
M	util.c

commit e49f0a34deb0c8fce36fa7f0ce135abfb2e3a2cd
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-02

    Change element_spec to IDLN_MEMBER instead of IDLN_TYPE_DCL

M	parser.y

commit 7879ddc8f80ddff203b9775bf4f771c442fe7492
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1998-07-02

    IDL compiler now does most of the header parts for structs, enums,



    IDL compiler now does most of the header parts for structs, enums,
    typedefs, and arrays (maybe even unions, I dunno :)

M	.cvsignore

commit 26b475a7d99e342343f934afcf0a87c75e10646d
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-02

    First round to fix completely broken union switch statement :)


    First round to fix completely broken union switch statement :)

M	IDL.h
M	parser.y
M	tstidl.c
M	util.c

commit 467c8447fcbc21c40b64ec505628fb028a86ee7e
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1998-07-02

    Added const char *IDL_tree_type_names[], indexed by IDL_tree_type,
    to turn



    Added const char *IDL_tree_type_names[], indexed by IDL_tree_type,
    to turn
    a type into a string (for debugging purposes).

M	IDL.h
M	util.c

commit 8a31f5e59a298e5803a497ec7b2d13716bb731bb
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-02

    Change back to AC_DEFINE_UNQUOTED

M	configure.in

commit 294407274a2d8f0a0c8cbe3147a58a19cdfae375
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-02

    Simplify configuration

M	Makefile.am
M	configure.in
M	parser.y

commit 3e90ef7bc3ae3b69d7ac13b096ebcb5dea60c4ac
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1998-07-02

    parser.y: IDL_ns_ident_to_qstring() - do a proper join of the
    components



    parser.y: IDL_ns_ident_to_qstring() - do a proper join of the
    components of the string, i.e. don't preface the retval with the
    separator.

M	parser.y

commit ef4237907f9a34a8e125c56d2d840b212bd6b37f
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-02

    Updates to ident refs and constant type checking

M	parser.y
M	tstidl.c

commit f8692d305846dc5fd618c14a73ec32920480f1f9
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-01

    Fix spelling of inheritance, update ChangeLog

M	BUGS
M	ChangeLog
M	IDL.h
M	parser.y

commit 74a8915ccd9098149d28e13d081a6c6fd7135d4a
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-01

    Initial version of long long code.	May need some work still.

M	IDL.h
M	Makefile.am
M	lexer.l
M	parser.y

commit 790b5cb307c6c175128db259b4332bb08a40b1aa
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-01

    - Scoping rules rewritten, should work better now.


    - Scoping rules rewritten, should work better now.

M	IDL.h
M	parser.y

commit 5c82b327cf02461a4e198921653c5b4b8c9476c3
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-01

    Fix _ns_ref assignments

M	parser.y

commit 47a3a82ac83777122abc959ac77a523041ece376
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-01

    Update to IDL_ns_ident_to_qstring

M	parser.y

commit a304f2f2a6dfe2c24897124a2c5541ac99b5c62b
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-01

    Update tstidl.c and libIDL.texi for IDL_ns_ident_to_qstring

M	libIDL.texi
M	libIDL2.texi
M	tstidl.c

commit 3a6ba9e53bed2769e3c161628c60bbc4c4ae2cb3
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-01

    - Add IDL_ns_ident_to_qstring. This takes an NS IDL_GENTREE node,
    so if


    - Add IDL_ns_ident_to_qstring.  This takes an NS IDL_GENTREE node, so
    if you have an IDLN_IDENT from an IDL_tree, call it like this:

    char *s = IDL_ns_ident_to_qstring(IDL_IDENT_TO_NS(ident), "_");

    then free(s) when you're done.

M	IDL.h
M	parser.y

commit 9d0cc819fa858c1c7653c9f2e92a1871c8139144
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-01

    IDL_IDENT(node).data removed. To get at the namespace node of
    an ident,


    IDL_IDENT(node).data removed.
    To get at the namespace node of an ident, use
    IDL_IDENT_TO_NS(node)  - gives you an IDLN_GENTREE
    but do not recurse it (gentree data points to the ident ;)

M	IDL.h
M	parser.y

commit eceab55e9e0c58f249c248ac5b28d51985a9d4ef
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-01

    force use of IDL_NODE_TYPE(node) :)

M	IDL.h

commit d98eac0341214289910db79adadd499de58e98b7
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-07-01

    Fix op_dcl (wasn't generating node properly)

M	parser.y

commit ed6d6ce814175de1359dc997fb5d6c21f5031674
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1998-06-30

    cvsignores



    cvsignores

A	.cvsignore

commit ea53fc2dafe48f4632575417789007929954c7c2
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-30

    AC_SUBST LIBIDL_VERSION in standalone configure.in

M	configure.in

commit e1d0b2bb07c602eeaf960ce72b1cd74742429b9f
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-30

    make libIDL configure.in SUBST CPP_PROGRAM, not DEFINE.  minor tab fix

M	configure.in
M	parser.y

commit e963a985390ff237acba490f93cd416e6e81e6b4
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1998-06-30

    . Work on libIDL and autoconf to try and get them being
    nicer. Heeelp! :)



    . Work on libIDL and autoconf to try and get them being
    nicer. Heeelp! :)
    . Start on the idl compiler/backend stuff.

M	Makefile.am
M	parser.y

commit 384eb1ec58fcc2fa76b4feb12498e0656a98f838
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-30

    Minor example change

M	libIDL.texi
M	libIDL2.texi
M	tstidl.c

commit 94ec9d15513a5e99bce3369bd02a2c1c82146f40
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-30

    Make example and tstidl.c depth-limited recursive

M	libIDL.texi
M	libIDL2.texi
M	tstidl.c

commit 342f96a3efbd3286fa4afbdea588ef7075c1ee69
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-30

    Add quotes around LIBIDL_VERSION

M	Makefile.am

commit 31bd041fa5101fa2455d895c22d460226991168e
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-30

    Fix typo

M	ChangeLog

commit 7a690752ffde31d9c54eec4bd2c5e6571928cba4
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-30

    Update header

M	parser.y

commit 5a358107f0a1a07f1b3d2b9c7d04f805d31ef700
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-30

    Update

M	BUGS

commit 4f873b2e09f629bc0aa380812db4b56b2ec6464e
Author: Elliot Lee <sopwith@src.gnome.org>
Date:	1998-06-30

    Integration work for libIDL. Please fix anything I broke, andrew.



    Integration work for libIDL. Please fix anything I broke, andrew.

M	Makefile.am
M	parser.y

commit 1bfa681c16fce24e5cda0b30de30565216b591fa
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-30

    s/AST/parse tree/g

M	IDL.h
M	libIDL.texi
M	libIDL2.texi

commit 5f9b0f1e56687682088926e65c522945d21e69a7
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-29

    update BUGS

M	BUGS

commit a962c3cf5f23d1ed586225993a90c45379188110
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-29

    update yywrap

M	lexer.l
M	tstidl.c

commit 69ebbcce352f79d8e981000656fc42a8f512a2aa
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-29

    author

M	AUTHORS

commit 94e6624d6a0ca939a6f543a82d5ebc72111f9f98
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-29

    Forgot to change TRUE and FALSE

M	parser.y

commit 800fe4b3c13073d7d22865936d70e2f53f36a2dc
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-29

    Minor updates

M	IDL.h

commit 4c1b9648a904d468510edf94bb99bc1bdfb1ccb1
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-29

    CPP detect updates

M	configure.in

commit c669bde1f66c52d3393df68161b4a7a312011eb9
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-29

    Changed configure message

M	configure.in

commit 03128c1818a4547a0b301a073c7463e075532be9
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-29

    Info updates

M	Makefile.am
M	libIDL.texi
M	libIDL2.texi
M	parser.y

commit 50a4293e881dfad69e3abc58c5b90f69d4add811
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-29

    Info updates

M	Makefile.am
M	libIDL.texi
M	libIDL2.texi

commit ed58bfc10408ee20d7c7cd4101e45eff0b7e0fc5
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-29

    Add BUGS

M	Makefile.am

commit efe5660694d71151b7b42c65582ccf95a7b479c4
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-29

    Update

A	AUTHORS
A	COPYING
A	INSTALL
M	Makefile.am
A	NEWS
A	README

commit b45f2d3753a2d7bc92777513b63ce6f21719aeae
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-29

    Updates

A	BUGS
M	ChangeLog
M	IDL.h
M	Makefile.am
M	configure.in
A	libIDL.texi
A	libIDL2.texi
M	parser.y
M	tstidl.c

commit b205f93ea534876ec213593c66c721a4e154971c
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-29

    Updates

M	IDL.h

commit aafa35503e17b4639cfc9771a1c937ef052bef39
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-29

    Updates and idl.h to IDL.h

M	ChangeLog
M	Makefile.am
M	configure.in
D	idl.h
M	lexer.l
M	parser.y
M	rename.h
M	tstidl.c

commit cb41c71cd4605f52fc16d04b6e75b2deb1ce38a5
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-29

    Changes for standard yacc

M	ChangeLog
M	Makefile.am
M	parser.y
M	tstidl.c

commit 1384835125e9089ea56e9a15ccd5c9412cc18596
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-29

    Updates

M	IDL.h
M	Makefile.am
M	idl.h
M	lexer.l
D	parser.h
M	parser.y
M	tstidl.c
M	util.c

commit b866881a97155519cb596e724ecf156e27826f34
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-28

    Some updates for byacc compatibility (not working yet).

M	IDL.h
M	Makefile.am
M	idl.h
M	parser.h
M	parser.y

commit b5012b7aa54baac1ee69907dbfa8f5961d823fc2
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-25

    Many namespace updates. almost working

M	ChangeLog
M	IDL.h
M	Makefile.am
M	idl.h
M	lexer.l
M	parser.y
M	tstidl.c
M	util.c
M	util.h

commit 4c9ad80cd25faca70fd6fc169da15785735d6c2d
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-24

    Initial IDL_ns stuff

M	ChangeLog
M	IDL.h
M	idl.h
M	parser.y
M	tstidl.c

commit a476ede2c8aba868b292808b126762619a3d648a
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-24

    More stuff

M	ChangeLog
M	IDL.h
M	idl.h
M	lexer.l
M	parser.y
M	rename.h
M	tstidl.c
M	util.h

commit 6a8715a85acff3540be2e2118255e2d3d594a7a1
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-23

    Updates

M	IDL.h
M	idl.h
M	parser.h
M	parser.y
M	tstidl.c

commit f4bff092e0ae036b87dfc52d325f5946e0d00f2f
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-23

    Initial tree generation code

A	ChangeLog
M	IDL.h
M	idl.h
M	lexer.l
M	parser.h
M	parser.y

commit f1f2ba49a3ad0286bab9be30edac77352e7e4986
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-23

    Updates

M	parser.y

commit 427e6092e791c094da7fca3bea5e33b1926c94d2
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-23

    Cleanup

M	IDL.h
M	Makefile.am
D	idl.c
M	idl.h
M	lexer.l
M	parser.y
M	tstidl.c
M	util.h

commit 85aed6fe16f918a5615a9c3ec1463513e2277f8a
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-23

    More stuff

M	IDL.h
M	idl.h
M	parser.y

commit 3b0d41faf603d0a7fb8c0020f730e2a98932a8aa
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-22

    Starting AST generation

M	IDL.h
M	idl.c
M	idl.h
M	lexer.l
M	parser.h
M	parser.y
M	tstidl.c

commit d31b98cced87eb51cd714bfd77cba25d155c3df7
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-17

    Updates

M	IDL.h
M	idl.h
M	lexer.l
M	parser.y

commit 0c2f7c6c8105053f473cf3a5919ad7045e9d3263
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-17

    Misc stuff

M	IDL.h
M	idl.c
M	idl.h
M	lexer.l
M	parser.y
M	util.c
M	util.h

commit a85836749d3bf1eaa4d2db9403883a093148a3ee
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-13

    Initial version

commit 5e44bb8e54bd96bc40330f2fcaa5610a9884f649
Author: Andrew T. Veliath <andrewtv@src.gnome.org>
Date:	1998-06-13

    Initial revision

A	IDL.h
A	Makefile.am
A	aclocal.m4
A	configure.in
A	idl.c
A	idl.h
A	install-sh
A	lexer.l
A	missing
A	mkinstalldirs
A	parser.h
A	parser.y
A	rename.h
A	tstidl.c
A	util.c
A	util.h
